2001-12-21 04:20  dark-storm

	* uox3.cpp: 
	Fixed all warnings

2001-12-21 03:30  dark-storm

	* funcdecl.h, html.cpp, html.h, uox3.cpp: 
	Worked on the HTML Stuff a little more, added the call for Offline
	pages which should work now (Add OFFLINE=1 to your page
	definition).
	Moved some function declarations from funcdecl.h to html.h and
	renamed offlinepages to CheckOfflinePages().

2001-12-21 02:33  darkangelab

	* UOXJSPropertyFuncs.cpp, UOXJSPropertySpecs.h: 
	Whitespace updates
	Added property setter stuff for item objects

2001-12-21 02:18  darkangelab

	* SEFunctions.cpp, SEFunctions.h, cScript.cpp, gumps.cpp: 
	Removed GetX, GetY, GetZ, GetColour and GetID and their Set
	versions from the JS engine, as they're now properties
	Removed some warnings
	General cleanups

2001-12-20 23:23  darkangelab

	* cScript.cpp: 
	Updated some bad snippets

2001-12-20 22:34  darkangelab

	* SEFunctions.cpp, cBaseObject.h, cBaseobject.cpp, cChar.cpp,
	cItem.cpp, cScript.cpp, cScript.h, html.cpp, npcs.cpp,
	pcmanage.cpp, regions.cpp, UOXJSMethods.cpp, UOXJSMethods.h,
	UOXJSPropertySpecs.h, skills.cpp, targeting.cpp: 
	Added ShouldSave() method to CBaseObject, for more support in spawn
	regions
	ShouldSave by default is always true
	If an object is inside an object that won't save, neither will any
	of the objects inside the container
	Updated all the JS events to use object based systems rather than
	index based ones
	Fixed a slight bug in the error reporter
	Fixed the MethodError function with multiple paramater support

2001-12-20 17:42  darkangelab

	* UOXJSMethods.h: 
	Readability updates

2001-12-20 17:42  dark-storm

	* html.h: 
	Style

2001-12-20 17:32  darkangelab

	* UOXJSMethods.cpp, combat.cpp, html.cpp, npcs.cpp: 
	Source code cleanups and tidy ups
	Syntax updates to conform to a single style
	Performance tweaks to some HTML stuff

2001-12-20 16:53  dark-storm

	* cAccount.cpp, cServerData.cpp, cSocket.cpp: 
	Newlines once again

2001-12-20 16:36  dark-storm

	* html.h: 
	Added a newline

2001-12-20 16:32  dark-storm

	* SEFunctions.cpp, SEFunctions.h, UOXJSClasses.h, UOXJSMethods.cpp,
	UOXJSMethods.h, UOXJSPropertyEnums.h, UOXJSPropertyFuncs.cpp,
	UOXJSPropertyFuncs.h, UOXJSPropertySpecs.h, cMultiObj.cpp,
	cScript.cpp, cSpawnRegion.cpp, cmdtable.cpp, combat.cpp, html.cpp,
	necro.cpp, npcs.cpp, quantityfuncs.cpp: 
	Added Update to the PropertySetters for X,Y and Z.
	Added a few Character Methods (TextMessage,Delete and others) and a
	Constructor for the UOXChar class (not finished but working)
	Added Newlines to some files
	Fixed a linux issue (please check that)
	Fixed a Guardbug where attacking a monster in a guarded area
	without the default npc.scp would crash the server.
	Setting the Source and Destination of TempEffects to INVALIDSERIAL
	on NPC Deletion eventually should fix rare combat bugs.
	Prepared html.cpp for Offline pages.

2001-12-20 12:41  dark-storm

	* Makefile.am, Makefile.in: 
	Added the
	UOXJSMethods.cpp and UOXJSMethods.h
	to the Linux Makefiles

2001-12-20 08:48  dark-storm

	* cScript.cpp: 
	Activated CGump javascript class

2001-12-20 08:44  dark-storm

	* html.cpp, html.h, uox3.cpp, uox3.h: 
	Added the basics for a new HTML Status system.
	
	Stand by for documentation...
	Added: html.h

2001-12-20 08:22  dark-storm

	* UOX3_Official.dsp: 
	- no message -

2001-12-20 08:16  dark-storm

	* UOX3_Official.dsp, UOXJSClasses.h, UOXJSMethods.cpp,
	UOXJSMethods.h, cScript.h: 
	Added CGump , class for JavaScript gumps.
	
	Added UOXJSMethods.cpp and UOXJSMethods.h to the Project file and
	added a filegroup for the JS Engine as	there are a lot of files by
	now...
	
	Usage:
	var myGump = new Gump;
	myGump.AddBackground(0,0,450,200,0x24a4);
	myGump.AddText(30, 30, 0x1, "Test");
	myGump.Send(0);

2001-12-20 01:38  darkangelab

	* cScript.cpp, cScript.h, cmdtable.cpp, funcdecl.h, npcs.cpp,
	SEFunctions.cpp, UOX3_Official.dsp, skills.cpp, sound.cpp,
	uox3.cpp: 
	playMidi now takes 2 parameters, not 3
	The command to play a midi takes 1 or 2 parameters now
	Added mechanism by which JS race, char, item, guild, region and
	socket objects can be dynamically allocated and released without
	much difficulty
	Automatically acquire 2 characters and 2 items per script, so that
	the parameters can be used
	Created a #define system for new object based mechanism (note that
	it will not currently compile under object system as is, but normal
	one will)
	Cleanups, tidyups, and other miscellaneous things

2001-12-19 19:37  darkangelab

	* cClick.cpp, cItem.cpp, cItem.h, effect.cpp, funcdecl.h,
	gumps.cpp, items.cpp, skills.cpp, targeting.cpp, uox3.cpp: 
	Removed SetLayer( 0 ) on items when generating corpse to avoid
	layer corruption
	Changed murderer and creator values for items from a string to a
	serial, shaving 92 bytes per item

2001-12-19 17:49  darkangelab

	* cScript.cpp: 
	SetIntelligence JS call fix thanks to silver2000

2001-12-18 23:14  darkangelab

	* SEFunctions.cpp, boats.cpp, cClick.cpp, cSpawnRegion.h,
	classes.h, combat.cpp, house.cpp, targeting.cpp, uox3.cpp: 
	Few cleanups and tidyups

2001-12-18 22:36  darkangelab

	* cmdtable.cpp, cmdtable.h, newbie.cpp, npcs.cpp, uox3.cpp,
	worldmain.cpp: 
	Added 'reloaddefs which allows runtime reloading of all definitions
	(can be time consuming)
	Fixed a bug with newbie items with text named items
	Called SpeechSys->Poll() just before a world save, so that the
	broadcast message telling about the save can be sent
	Warning cleanups

2001-12-17 20:05  darkangelab

	* ai.cpp, cMagic.h, classes.h, combat.cpp, cWeather.cpp,
	cWeather.hpp, combat.h, globals.cpp, magic.cpp, movement.cpp,
	movement.h, pcmanage.cpp, ssection.cpp, uox3.cpp, uox3.h: 
	Functions no longer take a currenttime parameter, instead using the
	global uiCurrentTime variable
	Fixed a bug where the day timer would go nuts
	Changed temperature from UI08 to SI08, to support Krrios'
	temperature effects
	Removed some unnecessary global variables

2001-12-16 20:20  darkangelab

	* UOXJSClasses.h, UOXJSPropertyEnums.h, UOXJSPropertyFuncs.cpp,
	UOXJSPropertyFuncs.h, UOXJSPropertySpecs.h, cSocket.cpp, cSocket.h,
	enums.h: 
	Added cSocket helper functions to help with JS property stuff
	Added a CSocket object to the JS system
	Implemented a number of socket properties for JS system
	Added CV_KRRIOS to client types

2001-12-16 19:09  darkangelab

	* commands.cpp, targeting.cpp, uoxstruct.h: 
	Added stripOff member to commandLevel_st
	STRIPOFF tag in a command level description tells 'make to remove
	equipped items to pack, and to remove hair/beard

2001-12-15 22:49  darkangelab

	* UOXJSPropertyEnums.h, UOXJSPropertyFuncs.cpp,
	UOXJSPropertySpecs.h: 
	Updated and worked on Guild properties

2001-12-15 05:57  darkangelab

	* calcfuncs.cpp, cBaseObject.h, cBaseobject.cpp, cChar.cpp,
	combat.cpp: 
	Fixed a bug which had calcItemObjFromSer with INVALIDSERIAL as the
	serial returning a valid object
	Installed an equivalent fix for calcCharObjFromSer but which hasn't
	cropped up yet
	Broke up SetMulti code to RemoveFrom and AddTo, firing the trigger
	more often

2001-12-14 23:52  darkangelab

	* UOXJSPropertyEnums.h, UOXJSPropertyFuncs.cpp,
	UOXJSPropertySpecs.h, targeting.cpp, townregion.cpp, townregion.h,
	uox3.cpp, weight.cpp: 
	Added more region properties
	Changed a number of int references to SI32
	Added more functions to cTownRegion
	Cleaned up some warnings

2001-12-14 16:09  thyme

	* Makefile.in: 
	Added UOXJSPropertyFuncs.o to OBJS for compile

2001-12-13 20:24  darkangelab

	* UOXJSClasses.h, UOXJSPropertyFuncs.cpp: 
	Updates to property get/setters

2001-12-13 19:34  darkangelab

	* Makefile.am, Makefile.in, UOX3_Official.dsp, UOXJSClasses.h,
	UOXJSPropertyEnums.h, UOXJSPropertyFuncs.cpp, UOXJSPropertyFuncs.h,
	UOXJSPropertySpecs.h, cScript.cpp: 
	Broke out PropertySpecs, PropertyFuncs, PropertyEnums and the JS
	Classes into their own header and CPP files

2001-12-13 00:22  darkangelab

	* cScript.cpp: 
	Added property enums and specs for Guilds, races and regions

2001-12-12 23:18  thyme

	* skills.cpp: 
	Added strupr(tag) for create menu

2001-12-12 22:52  thyme

	* scriptc.cpp: 
	Forced FindEntry to do uppercase lookups

2001-12-12 21:35  darkangelab

	* cScript.cpp, globals.cpp, items.cpp, npcs.cpp, uox3.h: 
	Killed some unnecessary global variables
	Changed some variables for JS Char objects to readonly
	Implemented more property setters for JS Char objects

2001-12-11 21:02  darkangelab

	* cItem.cpp: 
	Fixed a hash item error problem occurring on new item creation, due
	to redundant code

2001-12-11 19:51  thyme

	* scriptc.cpp: 
	Added strupr() for section headers

2001-12-11 19:14  darkangelab

	* skills.cpp, skills.h, uox3.cpp: 
	Changed MakeMenuTarget to take a string instead of an int
	Adjusted calls to MakeMenuTarget to pass a string
	NOTE: Inscription relies on numeric entries for spells, not names!

2001-12-10 23:22  darkangelab

	* SEFunctions.cpp, cChar.cpp, cItem.cpp, cItem.h, cMultiObj.cpp,
	cMultiObj.h, charhandle.cpp, classes.h, commands.cpp, globals.cpp,
	handlers.h, itemhandler.cpp, items.cpp, regions.cpp, uox3.cpp,
	uox3.h: 
	Removed the need for InitItem
	Implemented the constructors to be the same for citem/cmultiobj as
	it is for cchar
	Adjusted SetSerial so that it removes from the hash table and adds
	it back in
	This fixed the common error messages occurring with world loading

2001-12-10 21:52  darkangelab

	* SEFunctions.cpp, SEFunctions.h, cScript.cpp, uox3.h: 
	Added Get/Set Name2 JS functions
	Added GetLowDamage and GetHighDamage functions
	Init'd standard classes for each context/object so things like for
	loops should work
	Added error reporter which should report errors meaningfully
	Began work on preparing an object based system rather than a
	heavily function based one
	
	Thanks to DarkStorm for the information and the ideas/code

2001-12-05 22:46  darkangelab

	* cSocket.cpp: 
	Logging only happens if the logging option is on

2001-12-05 22:25  thyme

	* items.cpp, npcs.cpp: 
	Added strupr() for tags in DFNS

2001-12-05 19:39  darkangelab

	* cScript.cpp, cScript.h, magic.cpp: 
	Added an onSpellTarget event
	onSpellTarget fires for a character/item when it's targeted by a
	spell
	onSpellTarget also fires BEFORE the consequences of the spell
	exerts itself (in case it's enough to kill)

2001-12-05 18:28  darkangelab

	* uox3.cpp: 
	Fixed a bug where shop layers were not showing up with 'gmopen

2001-11-29 19:23  darkangelab

	* cServerData.cpp, cServerDefinitions.cpp, jail.cpp, scriptc.cpp,
	ssection.cpp, townregion.cpp, uox3.cpp: 
	Code changes and updates to turn the DFN support on, in preparation
	for a package release

2001-11-27 18:22  darkangelab

	* items.cpp: 
	Slight tweak/tidy up to CheckEquipment

2001-11-26 21:21  seank

	* ChangeLog: 
	figured i'd update this guy... weee

2001-11-26 21:19  seank

	* threadsafeobject.h: 
	A define was missing that was causing the pthread fixes zippy did
	to break.
	It seems to be a bug in the configure.	This is a hack until I can
	figure
	out what happened.

2001-11-26 19:59  bpass

	* network.cpp, threadsafeobject.cpp: 
	Linux/Pthread mutex fixes.
	Changed threadsafeobject to use recursive mutex, this should fix a
	LOT of linux freeze problems.

2001-11-25 21:40  thyme

	* uox3.cpp: 
	Fixed dropItem bug

2001-11-25 20:05  bpass

	* cClick.cpp, uox3.cpp: 
	Little container fix

2001-11-25 17:30  bpass

	* hash.h: 
	replaced -1 with INVALIDSERIAL

2001-11-23 00:24  darkangelab

	* network.cpp, npcs.cpp, packets.cpp, packets.h, targeting.cpp: 
	Removed some unnecessary variables
	Created a packet class CPCharAndStartLoc to do the majority of the
	GoodAuth() function in cNetworkStuff

2001-11-22 17:45  darkangelab

	* cmdtable.cpp, npcs.cpp: 
	Removed some unnecessary references to uox3test.ini
	Fixed an NPC creation lookup bug that would show up on DFN style
	headers

2001-11-22 17:18  darkangelab

	* cChar.cpp, cChar.h, cItem.cpp, cItem.h, combat.cpp, uox3.cpp: 
	Reduced Poison information for characters and items to SI08 from
	SI32
	Changed return value of -1 to 0xFFFF in calcAtt

2001-11-22 16:50  darkangelab

	* pcmanage.cpp: 
	Added Thyme's fix for char creation with 0 intelligence

2001-11-21 21:04  darkangelab

	* cBaseobject.cpp, cClick.cpp, funcdecl.h, hash.h, packets.cpp,
	packets.h, speech.cpp, targeting.cpp, uox3.cpp: 
	Added openPack( cSocket *, CItem * ) to simplify some calls (and
	reduce lookups)
	Added CPItemsInContainer packet to do the bulk of the work that
	openPack does
	Split openPack to send CPDrawContainer and CPItemsInContainer
	Fixed a bug with PostLoadProcessing that would stop spawn serials
	and owner serials from properly being set
	Syntax cleanups

2001-11-21 10:45  bpass

	* globals.cpp, hash.cpp, hash.h, items.cpp, movement.cpp, uox3.cpp,
	uox3.h: 
	Moved hash classes into template classes in hash.h
	Hash.cpp is no longer needed.

2001-11-20 22:15  darkangelab

	* cServerData.cpp: 
	Writes out the ScriptSectionHeader setting

2001-11-20 20:31  darkangelab

	* packets.cpp: 
	Replaced sscanf in CPIClientVersion::Handle with a stringstream
	based version

2001-11-20 14:17  bpass

	* packets.cpp: 
	*Oops* Compile fix

2001-11-20 11:10  bpass

	* UOX3_Official.dsp, UOX3_Official.dsw: 
	Small cleanups for the win32 project files

2001-11-20 11:07  bpass

	* network.cpp, network.h, packets.cpp, packets.h, uox3.cpp: 
	Linux run fixes: ifdefd out Internal mutex stuff in network, only
	used if compiled with __LOGIN_THREAD__ this stuff was causing
	deadlock inside linux... preventing almost everything except login
	(ie: Char creation)
	Added string checking to CPIClientVersion

2001-11-18 20:20  darkangelab

	* boats.cpp, cAccount.cpp, cClick.cpp, cServerData.cpp,
	cServerData.h, cServerDefinitions.cpp, cSocket.cpp,
	cSpawnRegion.cpp, cSpawnRegion.h, classes.h, cmdtable.cpp,
	cmdtable.h, combat.cpp, debug.cpp, effect.cpp, fileio.cpp,
	funcdecl.h, house.cpp, im.cpp, items.cpp, magic.cpp, magic.h,
	movement.cpp, necro.cpp, npcs.cpp, SEFunctions.cpp, SEFunctions.h,
	regions.cpp, skills.cpp, sound.cpp, speech.cpp, targeting.cpp,
	targeting.h, trigger.cpp, uox3.cpp: 
	Changed one line comments from /* */ to // in the instances it's
	used
	Syntax cleanups
	Fixed bug where SpawnRandomMonster would fail
	Added tag to ini file to choose between, essentially, DFN and SCP
	headers (whether it puts ITEM or NPC at front of numbers),
	defaulting to scripts
	Updated code to be much more DFN friendly
	JS func SpawnNPC now takes a string not an int in the 4 param
	version

2001-11-18 18:42  bpass

	* effect.cpp: 
	Few NULL checks for crash fixes

2001-11-18 18:19  bpass

	* sound.cpp: 
	Crash fix: added a few NULL checks to soundeffect()

2001-11-18 17:38  bpass

	* magic.cpp: 
	Fix for NPCs killing themselves when casting area spells in combat.

2001-11-16 08:13  bpass

	* ssection.cpp: 
	Crash fix

2001-11-15 21:04  darkangelab

	* books.cpp, cmdtable.cpp, combat.cpp, commands.cpp, effect.cpp,
	fileio.cpp, funcdecl.h, globals.cpp, gumps.cpp, house.cpp,
	items.cpp, magic.cpp, msgboard.cpp, necro.cpp, network.cpp,
	pcmanage.cpp, scriptc.cpp, skills.cpp, speech.cpp, targeting.cpp,
	uox3.cpp, uox3.h, vendor.cpp: 
	Removed some unncessary global functions and variables
	Updated DFN code so it properly reads in section headers
	General clean up / tidy ups

2001-11-15 19:30  darkangelab

	* cServerData.cpp: 
	V2.0 INI lookup doesn't force data to uppercase, fixes linux path
	stuff

2001-11-15 18:49  darkangelab

	* cAccount.cpp, cAccount.h, fileio.cpp, funcdecl.h, uox3.cpp: 
	Commited compilation fixes, so it compiles clean
	Moved FileExists to a global func so it can be used by more than
	accounts

2001-11-15 18:40  darkangelab

	* cBaseobject.cpp, cChar.cpp, combat.cpp, network.cpp, queue.cpp,
	sound.cpp, uox3.cpp, uox3.h: 
	Syntax cleanups
	Moved the spline stuff to sound.cpp, only commented out playing,
	however commented the linux stuff detailing steps required for
	Linux as provided by NNKK.  Seems trivial
	General other cleanups

2001-11-15 17:47  bpass

	* cServerData.cpp, cServerData.h, cServerDefinitions.cpp,
	combat.cpp, network.cpp, uox3.cpp, worldmain.cpp: 
	New INI format & fixes...
	Fixes for combat.

2001-11-15 16:52  darkangelab

	* cmdtable.cpp: 
	'tile and 'tilew now support a single field ID (like 0x0EED instead
	of 0x0E 0xED) as well as 2 field IDs

2001-11-15 12:11  mrfixit

	* itemhandler.cpp: 
	Fixed a signed/unsigned issue

2001-11-14 14:34  mrfixit

	* PageVector.h, queue.cpp: 
	Fixed some warnings

2001-11-13 18:26  darkangelab

	* uox3.cpp: 
	Meditation fix from Pa'ka

2001-11-13 17:38  darkangelab

	* pointer.cpp: 
	Removal of pointer.cpp

2001-11-13 17:37  darkangelab

	* Makefile.am, Makefile.in: 
	Removal of pointer.cpp from the makefile

2001-11-13 17:33  darkangelab

	* UOX3_Official.dsp, UOX3_Official.dsw, cBaseobject.cpp, cChar.cpp,
	cItem.cpp, cMultiObj.cpp, fileio.cpp, pointer.cpp, uox3.h: 
	UOX3 not UOX
	Removed the sound code Zippy put in entirely, as well as attic'ing
	pointer.cpp
	Removed the conditionals inside cbo, citem and cchar saving,
	reverting it back to it's full write
	Added ostringstream output for multi objects

2001-11-13 16:58  bpass

	* cChar.cpp, combat.cpp, uox3.cpp: 
	Crash fixes from "Crash me" irc test shard.

2001-11-13 14:11  bpass

	* cBaseobject.cpp, cChar.cpp, cItem.cpp, uox3.h: 
	Re-added some of the osttringstream stuff to increase save speed
	even more.

2001-11-13 09:44  mrfixit

	* ssection.cpp, ssection.h: 
	- Fixed some warnings.

2001-11-13 09:43  bpass

	* cBaseobject.cpp, cChar.cpp, cItem.cpp, pointer.cpp, uox3.cpp,
	uox3.h: 
	I'm not even going to say anything.

2001-11-13 09:22  seank

	* ChangeLog: 
	Updated changelog...  for no reason whatsoever.

2001-11-12 23:11  darkangelab

	* Dictionary.cpp, boats.cpp, books.cpp, cAccount.cpp,
	cBaseobject.cpp, cChar.cpp, cClick.cpp, cItem.cpp, cItem.h,
	cServerDefinitions.cpp, cWeather.cpp, calcfuncs.cpp,
	charhandle.cpp, cmdtable.cpp, combat.cpp, dist.cpp, fileio.cpp,
	globals.cpp, gumps.cpp, itemhandler.cpp, items.cpp,
	lineofsight.cpp, magic.cpp, mapstuff.cpp, movement.cpp,
	msgboard.cpp, SEFunctions.cpp, network.cpp, newbie.cpp, npcs.cpp,
	pointer.cpp, regions.cpp, skills.cpp, skills.h, sound.cpp,
	speech.cpp, targeting.cpp, trigger.cpp, uox3.cpp, uox3.h,
	commands.cpp: 
	Updated repair code thanks to Bel-CMC
	Cleaned up the code so that if, for, and while are of the same
	syntax format
	ie
	for( a = 0; a < b; a++ )
	if( blah >= blah2 )
	do
	{
	} while( x < y );

2001-11-12 19:29  darkangelab

	* cBaseobject.cpp, cChar.cpp, cItem.cpp, uox3.h: 
	UOX3 not UOX
	Restored full writing out of data for each object, as it is an
	explicit design decision critical for future implementations
	Significantly reduced file IO when saving out items of any type,
	reducing to at most 6 transactions per object, compared to the
	dozens previously required

2001-11-12 17:13  bpass

	* combat.cpp, movement.cpp, regions.cpp, uox3.cpp: 
	Few small walking changes trying to fix people needing to 'resend
	all the time.

2001-11-12 15:48  bpass

	* cBaseobject.cpp, cChar.cpp, cItem.cpp, hash.cpp, uox3.h: 
	Removed default tags from Saves/Loads.	Huge speed and save size
	benifits.

2001-11-11 19:26  darkangelab

	* effect.cpp: 
	Not all temp effects trigger an equipment check

2001-11-11 19:16  darkangelab

	* effect.cpp: 
	Don't change the value of s based on effect

2001-11-10 23:12  bpass

	* pointer.cpp: 
	We are worried about the SOUND being portable? Come on. Jesus.

2001-11-09 20:03  darkangelab

	* SEFunctions.cpp, pointer.cpp: 
	Fixed a SetDecayable JS bug
	Updated SE_GetRaceCount documentation and implementation
	Removed sound playback from pointer.cpp
	As long as this is purely a win32 implementation, IT WILL NOT STAY
	IN
	For it to go in, a portable mechanism must be found

2001-11-09 13:16  mrfixit

	* SEFunctions.cpp, SEFunctions.h, cScript.cpp: 
	
	Added GetRaceCount (By DarkStorm) to the scriptengine.

2001-11-09 08:42  bpass

	* pointer.cpp: 
	I'm just going to keep doing this.

2001-11-08 17:43  darkangelab

	* cClick.cpp, targeting.cpp: 
	Specialized repair tools were set to case 49 in MultiTarget(),
	which was reserved for MakeTownAlly
	Changed repair tools to case 24 and called Skills->Repair()

2001-11-08 17:10  darkangelab

	* pointer.cpp: 
	Decision stands: As long as code is not portable and there is no
	alternative for other OS', it is not to be included

2001-11-08 15:34  bpass

	* pointer.cpp, uox3.cpp: 
	Leave the sound ON.

2001-11-06 20:56  darkangelab

	* skills.cpp: 
	Smithing only works on the valid ingot IDs
	Smith action on non-ingots attempts repair of the item

2001-11-06 19:12  darkangelab

	* targeting.cpp: 
	Don't force | 0x8000 on character dyeing

2001-11-06 18:42  darkangelab

	* uox3.cpp: 
	Default JS engine size set to 1MB on Win, 16 on Linux (as 1MB is
	insufficient for defaults scripts on Linux)

2001-11-06 18:39  darkangelab

	* items.cpp, pcmanage.cpp, uox3.cpp: 
	Removed some unreferenced variables
	Cleaned up createChar() to hopefully reduce some of the code bulk
	Added in default size of 0x100000 for the JS engine
	JS engine will read the file engine.dat and grab the first line of
	text.  It turns that text into a number, and uses that for the
	engine size.  Minimum size of 0x100000 required and enforced.

2001-11-06 14:56  mrfixit

	* cScript.cpp: 
	Fixed 4 warnigs

2001-11-06 12:18  shadowlord13

	* SEFunctions.cpp, SEFunctions.h, cScript.cpp: 
	Added four new JS functions:
	void SetDecayable( int item, bool isDecayable)
	bool IsDecayable( int item )
	void SetDecayTime( int item, int decayTime)
	int GetDecayTime( int item)

2001-11-05 23:42  darkangelab

	* uox3.cpp: 
	Changed a PushConn to PopConn in RefreshItem(), hopefully fixing a
	hanging bug in Linux

2001-11-05 23:13  darkangelab

	* cBaseobject.cpp, SEFunctions.cpp, cBaseObject.h, cClick.cpp,
	cItem.cpp, cmdtable.cpp, newbie.cpp, uox3.cpp: 
	Code cleanups / tidy ups
	Forced consistency of style
	Changed an int to SI32 in base object

2001-11-05 17:25  darkangelab

	* commands.cpp, funcdecl.h, globals.cpp, uox3.h: 
	locationcount ranges from 0->4000, thus an UI16 is required
	loadCombat prototype moved to funcdecls.h
	Fix for bad dyeing of characters (Krrios)

2001-11-05 16:50  mrfixit

	* globals.cpp, uox3.h: 
	Added comments and changed int variables into UI32, SI32 etc.

2001-11-04 19:02  darkangelab

	* SEFunctions.cpp, ai.cpp, network.cpp, network.h, pointer.cpp,
	targeting.cpp, uox3.cpp, uox3.h: 
	0.95.07.00 release
	Fixed application name and release version
	Updated timezone to reflect that of person distributing, including
	adding proper address for the project's source rather than primary
	website
	Commented out distinctly nonportable code
	Removed connCliList from cNetworkStuff as it is no longer used
	Monsters will not attack true animals
	Cleaned up some code in targeting.cpp

2001-11-04 18:09  seank

	* ChangeLog: 
	updated changlog.. weee

2001-11-04 15:17  shadowlord13

	* tags.h: 
	Added endline to the end of the file.

2001-11-04 15:15  shadowlord13

	* SEFunctions.h: 
	Fixed to compile for linux.

2001-11-04 14:33  shadowlord13

	* SEFunctions.h, cBaseObject.h, cBaseobject.cpp: 
	Code for tags on characters and items. JS functions:
	SetTag(objectID, objectType, tagname, tagval);
	GetTag(objectID, objectType, tagname);
	GetNumTags(objectID, objectType);

2001-11-04 14:19  shadowlord13

	* SEFunctions.cpp: 
	Code for tags on characters and items. JS functions:
	SetTag(objectID, objectType, tagname, tagval);
	GetTag(objectID, objectType, tagname);
	GetNumTags(objectID, objectType);

2001-11-04 12:29  shadowlord13

	* network.cpp: 
	 When someone clicks 'plot course' on a map, the server prints a
	message to that effect, but that's all it does.

2001-11-04 12:29  shadowlord13

	* cScript.cpp: 
	Added StringToNum and NumToString to the list of functions usable
	in JS scripts.

2001-11-04 10:38  bpass

	* cAccount.cpp, uox3.h: 
	Small auto accounts fix

2001-11-03 21:53  bpass

	* cServerDefinitions.cpp, cSocket.cpp: 
	Small crash Fixes

2001-11-03 13:00  shadowlord13

	* uox3.cpp: 
	Changed four comparisons, which were comparing a char to NULL (NULL
	is for pointers!) to comparing the char to '\0'.

2001-11-03 12:59  shadowlord13

	* mapstuff.cpp: 
	 Commented out an unneccessary assert. It was checking to make sure
	a unsigned integer was >=0.

2001-11-03 12:58  shadowlord13

	* effect.cpp: 
	Fixed an erroneous comment "lord binary, body-values >0x3e crash
	the client." He meant 0x3e1.

2001-11-03 12:52  shadowlord13

	* network.cpp: 
	Fixed crash on logout.

2001-11-01 20:58  bpass

	* fileio.cpp, pointer.cpp: 
	Different Sound :o)

2001-11-01 20:25  shadowlord13

	* uox3.h: 
	Compiles under MingW also now.

2001-11-01 20:15  shadowlord13

	* uox3.cpp: 
	Compiles under MingW also now.

2001-11-01 19:38  shadowlord13

	* tags.h: 
	Tags!

2001-11-01 16:04  bpass

	* fileio.cpp, pointer.cpp: 
	*sigh* Fixes for splines.

2001-11-01 15:50  bpass

	* combat.cpp, fileio.cpp, pointer.cpp, uox3.cpp: 
	Small Combat fixes

2001-11-01 07:36  bpass

	* pointer.cpp: 
	Opps

2001-10-31 19:48  bpass

	* pointer.cpp: 
	Small Fix

2001-10-31 19:39  bpass

	* fileio.cpp, pointer.cpp: 
	Misc.

2001-10-30 19:10  bpass

	* uox3.cpp: 
	Console Thread Cleanups

2001-10-29 18:51  bpass

	* cAccount.cpp, cAccount.h, cBaseobject.cpp, cItem.cpp, uox3.cpp: 
	*chants* Death to all crash bugs! Aieeeeeee!!

2001-10-29 14:56  bpass

	* cConsole.cpp, cConsole.h: 
	Small Linux Fix

2001-10-29 14:16  bpass

	* cAccount.cpp, cBaseobject.cpp, cConsole.cpp, cItem.cpp,
	cThreadQueue.cpp, house.cpp, network.cpp, npcs.cpp, uox3.cpp: 
	Fix for vendors' stuff not being displayed.

2001-10-29 10:41  bpass

	* cConsole.cpp, cConsole.h: 
	Mr. Fixit console cleanups

2001-10-29 10:20  bpass

	* SEFunctions.cpp: 
	Tweak for File i/o

2001-10-29 09:50  bpass

	* cBaseobject.cpp, cItem.cpp, combat.cpp, speech.cpp: 
	Fix for criminal flagging

2001-10-28 21:06  bpass

	* SEFunctions.cpp, uox3.cpp: 
	Quick linux fix for new SE Functions

2001-10-28 18:25  bpass

	* SEFunctions.cpp, SEFunctions.h, cScript.cpp: 
	FileOpen, FileClose, EnfOfFile, Read, ReadUntil, Write,
	StringToNum, NumToString JSE functions for File I/O in uox
	jscripts.  FileOpen does not allow files containing "..""\", or
	"/".

2001-10-28 17:09  darkangelab

	* ai.cpp, boats.cpp, cChar.cpp, cItem.cpp, calcfuncs.cpp,
	cmdtable.cpp, combat.cpp, commands.cpp, effect.cpp, html.cpp,
	items.cpp, movement.cpp, network.cpp, network.h, npcs.cpp,
	skills.cpp, sound.cpp, speech.cpp, targeting.cpp, uox3.cpp,
	vendor.cpp, xgm.cpp: 
	Updated network code to preserve iterators when a socket loop is
	used

2001-10-28 16:09  bpass

	* SEFunctions.cpp, boats.cpp, cmdtable.cpp, commands.cpp,
	msgboard.cpp, network.cpp, npcs.cpp, skills.cpp, trigger.cpp,
	uox3.cpp: 
	Console output cleanups.

2001-10-28 13:51  bpass

	* uox3.cpp: 
	Still trying to fix the grabItem/worldsave crash,

2001-10-28 13:03  bpass

	* uox3.cpp: 
	Huge crash fix for grabItem

2001-10-28 12:03  bpass

	* cItem.cpp, cServerDefinitions.cpp, network.cpp, regions.cpp,
	uox3.cpp, worldmain.cpp: 
	Small fix or two

2001-10-25 22:15  seank

	* ChangeLog, townregion.cpp, uox3.dox: 
	Added uox3.dox and other minor sync tweaks

2001-10-25 21:40  bpass

	* cBaseobject.cpp, cChar.cpp, cItem.cpp, cItem.h, cServerData.cpp,
	cServerDefinitions.cpp, cSpawnRegion.cpp, calcfuncs.cpp,
	cmdtable.cpp, combat.cpp, commands.cpp, fileio.cpp, html.cpp,
	items.cpp, magic.cpp, network.cpp, network.h, npcs.cpp, power.h,
	regions.cpp, speech.cpp, uox3.cpp, worldmain.cpp: 
	Lots of MAJOR crash fixes.  From the test server.  A few extra
	console output cleanups.

2001-10-25 13:26  bpass

	* Dictionary.cpp, Dictionary.h, cClick.cpp, cConsole.cpp,
	combat.cpp, speech.cpp: 
	Misc

2001-10-24 18:10  bpass

	* uox3.h: 
	Build 0.95.06

2001-10-24 17:28  bpass

	* cAccount.cpp, cGuild.cpp, commands.cpp, fileio.cpp, magic.cpp,
	mapstuff.cpp, network.cpp, regions.cpp, skills.cpp, speech.cpp,
	uox3.cpp, uox3.h, worldmain.cpp: 
	Lots of crash fixes, a few bug fixes, General console output clean
	up (it's pretty now!)

2001-10-24 13:49  bpass

	* uox3.cpp: 
	Testing something

2001-10-23 17:24  bpass

	* cSocket.cpp, cSocket.h, packets.h, uox3.cpp: 
	More fixes! yay!

2001-10-23 16:09  bpass

	* cChar.cpp, cItem.cpp, cScript.cpp, cmdtable.cpp, npcs.cpp,
	trigger.cpp, trigger.h, uox3.cpp: 
	More Crash fixes (a few biggies) and a fix for horse mounts

2001-10-23 09:19  bpass

	* cScript.cpp, npcs.cpp, targeting.cpp, trigger.cpp: 
	Crash fix for stupid error.

2001-10-22 20:31  bpass

	* cScript.cpp: 
	Little fix to onSpeech: make text lower case so comparisons can be
	made.

2001-10-17 13:55  bpass

	* cItem.cpp, cmdtable.cpp: 
	A few fixes.... Is abaddon dead?

2001-10-08 17:41  darkangelab

	* skills.cpp, worldmain.cpp: 
	Made sure that resources.bin is saved/loaded each world save
	Updated TreeTarget code so that it should always generate logs when
	targeted (and logs exist)

2001-10-07 16:38  darkangelab

	* cAccount.cpp: 
	Fixed an account reload bug that reset all characters, reloading
	accounts now preserves existing characters in the list

2001-10-02 21:17  darkangelab

	* cSocket.cpp: 
	If the build is a debug build (not release), then it turns socket
	logging on by default (off in release)

2001-10-02 01:51  darkangelab

	* cChar.cpp, cChar.h, combat.cpp, pcmanage.cpp, skills.cpp,
	sound.cpp, uox3.cpp, uoxstruct.h: 
	Slight tidy up in PC creation
	Added some more useful functions to CChar to clean up some code
	Redid creat_st to be more OO, with constructor and access
	mechanisms
	Added in known animals based on UOTD information
	Fixed setcharflag so that it only makes animals highlight blue in
	an animals guarded region

2001-09-27 22:04  darkangelab

	* SEFunctions.cpp, SEFunctions.h, cScript.cpp: 
	Added a GetWorldNumber function for use in scripts

2001-09-27 21:27  darkangelab

	* boats.cpp, cChar.cpp, cClick.cpp, cRaces.cpp, cmdtable.cpp,
	commands.cpp, funcdecl.h, packets.cpp, pcmanage.cpp,
	townregion.cpp, typedefs.h, uox3.cpp, uox3.h, xgm.cpp: 
	Fixed some warnings and did some cleanups
	Validated map transference based on client type
	Added in recognition of third dawn client
	Updated some typedef's to properly reflect their correct sizes

2001-09-27 19:13  darkangelab

	* gumps.cpp: 
	Extended entry fields for gumps by 2 that require numbers, so that
	hex values can be validly entered

2001-09-27 19:11  darkangelab

	* cItem.cpp, cItem.h, cSpawnRegion.cpp, calcfuncs.cpp, classes.h,
	effect.cpp, gumps.cpp, house.cpp, items.cpp, npcs.cpp, skills.cpp,
	targeting.cpp, uox3.cpp: 
	Updated item spawn code so that it is properly put into the right
	world
	Updated carpentry checks so that all planks and logs will fire the
	menu
	Updated the makemenu handling so that if a bad item is created,
	then it turns off the skills being used

2001-09-27 00:45  darkangelab

	* funcdecl.h, items.cpp, npcs.cpp, uox3.cpp: 
	Miscellaneous code cleanup / warning removal / dead function
	removal

2001-09-27 00:33  darkangelab

	* SEFunctions.cpp, cScript.cpp, cSpawnRegion.cpp, classes.h,
	globals.cpp, items.cpp, magic.cpp, necro.cpp, npcs.cpp,
	targeting.cpp, uox3.cpp, uox3.h, uoxstruct.h: 
	Cleaned up code
	Added code to properly spawn NPCs in the correct worlds
	Added world transfer support to teleport.scp

2001-09-26 19:13  darkangelab

	* ai.cpp, archive.cpp, boats.cpp, cBaseObject.h, cBaseobject.cpp,
	cChar.cpp, cChar.h, cClick.cpp, cGuild.cpp, cItem.cpp, cRaces.cpp,
	cScript.cpp, cServerData.cpp, cServerDefinitions.cpp, cSocket.cpp,
	cSpawnRegion.cpp, cSpawnRegion.h, calcfuncs.cpp, classes.h,
	cmdtable.cpp, combat.cpp, dist.cpp, door.cpp, enums.h, fileio.cpp,
	fileio.h, funcdecl.h, gumps.cpp, house.cpp, items.cpp,
	SEFunctions.cpp, jail.cpp, lineofsight.cpp, magic.cpp,
	mapstuff.cpp, mapstuff.h, movement.cpp, movement.h, msgboard.cpp,
	network.cpp, npcs.cpp, packets.cpp, packets.h, pcmanage.cpp,
	queue.cpp, regions.cpp, regions.h, skills.cpp, sound.cpp,
	speech.cpp, targeting.cpp, townregion.cpp, townregion.h,
	trigger.cpp, typedefs.h, uox3.cpp, uoxstruct.h, vendor.cpp,
	xgm.cpp: 
	Cleaned up a lot of code
	Fixed a calcRegionFromXY bug
	Fixed a bug where CACHE_MULS of 1 would never actually cache
	Added UOTD map support
	Added item type 89 (map change gate), with MoreXYZ being target
	location, and MORE being the world number
	NOTE: Currently, NO items or NPCs will spawn in any world apart
	from 0.  Thus, once you're there, you can't get back short of
	modifying the world file.  This WILL be fixed within the day

2001-09-25 21:05  darkangelab

	* cChar.cpp, mapstuff.cpp, mapstuff.h, msgboard.cpp, network.cpp,
	regions.h: 
	Code cleanups / tidy ups
	Slight reorganization in lieu of preparation of Ilshenar support
	Added multi area caching, speeding up routines which rely on the
	size of the multi area

2001-09-25 19:34  darkangelab

	* SEFunctions.cpp, cBaseObject.h, cBaseobject.cpp, cChar.cpp,
	cGuild.cpp, cGuild.h, cItem.cpp, cMagic.h, cMultiObj.cpp,
	cMultiObj.h, cRaces.cpp, cServerData.cpp, cServerData.h,
	cSocket.cpp, cSocket.h, cWeather.cpp, charhandle.cpp, cmdtable.cpp,
	combat.cpp, combat.h, dist.cpp, door.cpp, effect.cpp, fileio.cpp,
	funcdecl.h, globals.cpp, gumps.cpp, handlers.h, hash.cpp,
	house.cpp, html.cpp, itemhandler.cpp, magic.cpp, movement.cpp,
	movement.h, network.cpp, skills.cpp, skills.h, ssection.cpp,
	ssection.h, townregion.cpp, townregion.h, typedefs.h, uox3.cpp,
	uoxstruct.h, worldmain.cpp, worldmain.h: 
	Replaced the vast majority of short with either SI16 or UI16, make
	it much more CPU independent
	Fixed a bug where deleting a multi (via deeding or 'showhs) would
	cause a crash if anyone came near it or the world was saved
	Cleaned up a number of warnings

2001-09-25 18:09  darkangelab

	* cAccount.cpp, cServerDefinitions.cpp, cmdtable.cpp, commands.cpp,
	globals.cpp, gumps.cpp, network.cpp, uox3.cpp, uox3.h,
	worldmain.cpp, worldmain.h: 
	Removed some superfluous global objects
	Removed some dead / unused code
	Cleaned up a fair number of warnings
	Added code so that players timed out during a world save won't get
	kicked instantly

2001-09-24 23:29  darkangelab

	* SEFunctions.cpp, books.cpp, books.h, cAccount.cpp, cItem.cpp,
	effect.cpp, globals.cpp, skills.cpp, uox3.cpp, uox3.h, uoxstruct.h,
	worldmain.cpp: 
	Fixed a MoreB and More corruption bug when setting just a part of
	it
	Cleaned up some signed/unsigned warnings
	Writes out accounts.adm on save now, instead of accounts2.adm
	Fixed integer instead of float issues
	Removed a global that could be better served as a static local
	skillNumber in a struct was reduced from UI16 to UI08

2001-09-24 22:49  darkangelab

	* cAccount.cpp, cAccount.h, cGuild.cpp: 
	Fixed an auto account creation bug that was causing new characters
	to be put in the wrong account
	Updated the account reading code to ensure no duplicate numbers on
	reading old / mixture of old and new
	NOTE: If you want your current account 0 to stay that way, then you
	MUST use SECTION ACCOUNT 0 instead of just SECTION ACCOUNT

2001-09-24 18:26  darkangelab

	* SEFunctions.cpp, cServerData.h, cSocket.cpp, cSocket.h,
	network.cpp, newbie.cpp: 
	Cleaned up some warnings
	Fixed some variable size issues
	Added all UOTD animations (bow, salute, and so on)

2001-09-24 16:06  darkangelab

	* PageVector.h, SEFunctions.cpp, archive.cpp, boats.cpp,
	cBaseobject.cpp, cClick.cpp, cGuild.cpp, cItem.cpp, cItem.h,
	cMultiObj.cpp, cServerData.cpp, cServerData.h,
	cServerDefinitions.cpp, cSpawnRegion.cpp, cSpawnRegion.h,
	cmdtable.cpp, combat.cpp, commands.cpp, funcdecl.h, house.cpp,
	itemhandler.cpp, items.cpp, jail.cpp, network.cpp, queue.cpp,
	regions.cpp, ssection.cpp, townregion.cpp, trigger.cpp, uox3.cpp,
	uox3.h, uoxlinux.h, wholist.cpp, worldmain.cpp, xgm.cpp: 
	Cleaned up a lot of code
	Reduced some signed/unsigned issues
	Forced signed/unsigned issues and a couple of other warnings to
	level 3
	Fixed up the archiving routines so that it properly archives world
	files correctly

2001-09-21 01:47  darkangelab

	* network.cpp, network.h, typedefs.h, uoxstruct.h: 
	Removed anonymous unions of structs, as the flexibility provided
	was not being used
	Increased compiler compatability

2001-09-20 20:24  darkangelab

	* cChar.cpp, cItem.cpp, cItem.h, cRaces.cpp, cRaces.h,
	cServerData.h, typedefs.h: 
	Increased source portability, removing some of the limitations in
	place preventing gcc 2.95.3 from compiling

2001-09-19 18:38  darkangelab

	* cChar.cpp, cmdtable.cpp, cmdtable.h, magic.cpp, packets.cpp,
	typedefs.h, uoxstruct.h: 
	Removed the useless command 'house
	Added 2 more consts, INVALIDID and INVALIDCOLOUR
	Used INVALIDID and INVALIDCOLOUR where appropriate
	'poly and 'add now accept a single parameter

2001-09-18 22:30  darkangelab

	* SEFunctions.cpp, SEFunctions.h, cScript.cpp, uox3.h: 
	Updated version to 0.95.04 Build 2
	Added GetBaseSkill function to the JS engine

2001-09-17 23:03  darkangelab

	* calcfuncs.cpp, cmdtable.cpp, commands.cpp, fileio.cpp,
	funcdecl.h, globals.cpp, hash.cpp, items.cpp, trigger.cpp,
	uox3.cpp, uox3.h: 
	Removed the need for script1 and script2 on a global scope
	calcLastContainerFromSer is only ever called from items.scp, so
	it's only predeclared in that scope
	Moved and updated readscript( FILE * ) and read2( FILE * ) to
	trigger.cpp
	Fixed a crash bug due to hash table stuff
	Removed the need for cline

2001-09-17 21:53  toinzane

	* SEFunctions.cpp, ai.cpp, boats.cpp, books.cpp, cAccount.cpp,
	cBaseobject.cpp, cChar.cpp, cChar.h, cClick.cpp, cGuild.cpp,
	cItem.cpp, cItem.h, cScript.cpp, cScript.h, cServerData.cpp,
	cSocket.cpp, calcfuncs.cpp, charhandle.cpp, cmdtable.cpp,
	combat.cpp, door.cpp, effect.cpp, findfuncs.cpp, funcdecl.h,
	globals.cpp, gumps.cpp, hash.cpp, hash.h, house.cpp, html.cpp,
	itemhandler.cpp, items.cpp, lineofsight.cpp, magic.cpp,
	movement.cpp, msgboard.cpp, necro.cpp, network.cpp, npcs.cpp,
	packets.cpp, pcmanage.cpp, quantityfuncs.cpp, queue.cpp,
	regions.cpp, skills.cpp, sound.cpp, speech.cpp, targeting.cpp,
	townregion.cpp, townregion.h, typedefs.h, uox3.cpp, uox3.h,
	vendor.cpp, wholist.cpp, wholist.h, xgm.cpp: 
	Converted items and chars to UI32's to allow many more (double) the
	amount of characters/items in a world.
	Changed -1 Item/Char checks to INVALIDSERIAL checks.
	Many ints converted to smaller containers to save wasted resources.
	Misc minor bugfixes/cleanups.

2001-09-17 20:07  darkangelab

	* cRaces.cpp, cRaces.h, cWeather.cpp, funcdecl.h, necro.cpp,
	skills.cpp, uox3.cpp: 
	Minor clean ups and tidy ups
	Converted some funcs to take a single ID rather than the split IDs
	Converted weather damage for races to be signed (to support
	healing)

2001-09-17 19:43  bpass

	* network.h: 
	Fixes

2001-09-17 19:33  bpass

	* network.cpp, network.h, uox3.cpp: 
	Fixes

2001-09-17 19:27  bpass

	* cChar.cpp: 
	FUCK

2001-09-17 18:43  rmcadams

	* cmdtable.cpp: 
	fix on xgate addition

2001-09-17 18:37  bpass

	* cChar.cpp: 
	Fixed Login Reconnect and offline death bugs

2001-09-17 18:35  rmcadams

	* cmdtable.cpp, cmdtable.h: 
	Xgate addition

2001-09-16 21:33  darkangelab

	* cClick.cpp: 
	Double clicking on a gate will no longer send you to 0 0 0

2001-09-16 21:17  darkangelab

	* magic.cpp: 
	Updated gate code so that you don't land right on the output gate

2001-09-16 21:03  darkangelab

	* PageVector.h, SEFunctions.cpp, cChar.cpp, cConsole.cpp,
	cGuild.cpp, cItem.cpp, cRaces.cpp, cScript.cpp, cSocket.cpp,
	charhandle.cpp, classes.h, cmdtable.cpp, debug.cpp, effect.cpp,
	globals.cpp, im.cpp, items.cpp, jail.cpp, magic.cpp, queue.cpp,
	skills.cpp, speech.cpp, targeting.cpp, townregion.cpp, uox3.cpp,
	uox3.h, uoxlinux.h: 
	Number of fixes / cleanups as available from Punt
	Fixed a bug with makeNum under windows not supporting a large range
	of data types, possibly resulting in things like empty spellbooks
	Removed some dead and superfluous code
	Removed the existing gate code, and replaced it with other code,
	reducing memory consumption further.

2001-09-16 17:55  toinzane

	* gumps.cpp: 
	Added error-checking to entrygump() to prevent crashes on bad
	dictionary entries.

2001-09-16 17:41  toinzane

	* targeting.cpp: 
	Removed a superfluous if (which would always be true) that caused
	warnings under some compilers.

2001-09-16 17:36  darkangelab

	* funcdecl.h, magic.cpp, mapstuff.cpp, uox3.h: 
	Slight clean up / tidy ups
	Broke out the gate creation code into it's own function, SpawnGate
	Sync'd an extern and declare so that they're declared the same

2001-09-14 18:48  darkangelab

	* combat.cpp, gumps.cpp, uox3.cpp: 
	Removed some dead combat code
	dumpgump.txt only generated in debug mode
	Updated auto stack handling to avoid a possible crash

2001-09-13 21:53  darkangelab

	* uox3.cpp: 
	Caused autoStack and dropItemOnChar to return true if an item was
	deleted due to stacking
	Adjusted code so that if an item was deleted, it wasn't used in sfx
	functions or other functions related to dropping

2001-09-13 21:07  darkangelab

	* magic.cpp: 
	Fixed a bug where if you received a message like "You are already
	casting a spell" it would alter the spell you were already casting

2001-09-13 21:01  darkangelab

	* uox3.cpp: 
	Fixed a Win32 command bug where hex values weren't being read
	properly
	Updated makenumber() to call makeNum()
	makeNum() will now check for x or X instead of just x

2001-09-13 18:54  darkangelab

	* uox3.h: 
	0.95.04.01

2001-09-13 18:24  seank

	* ChangeLog: 
	updated changelog

2001-09-13 07:20  toinzane

	* combat.cpp: 
	Made use of an #ifdef for debugging combat spam

2001-09-13 03:36  darkangelab

	* PageVector.h, boats.cpp, cAccount.cpp, cClick.cpp, cConsole.cpp,
	cConsole.h, cGuild.cpp, cMagic.h, cRaces.cpp, cSocket.cpp,
	cSocket.h, cSpawnRegion.cpp, classes.h, cmdtable.cpp, cmdtable.h,
	combat.cpp, commands.cpp, effect.cpp, funcdecl.h, gumps.cpp,
	house.cpp, items.cpp, magic.cpp, mapstuff.cpp, msgboard.cpp,
	necro.cpp, network.cpp, pcmanage.cpp, power.h, skills.cpp,
	speech.cpp, targeting.cpp, townregion.cpp, uox3.cpp, uoxstruct.h,
	vendor.cpp, wholist.cpp, worldmain.cpp: 
	Started to improve STLPort compatability with VC6
	Fixed some signed/unsigned errors
	Forced some functions to take const char * instead of char *
	General clean up / tidy ups
	Greatly reduced number of cast's required by the source

2001-09-12 22:19  darkangelab

	* cItem.cpp, cItem.h, cmdtable.cpp, commands.cpp, effect.cpp,
	funcdecl.h, gump.h, gumps.cpp, magic.cpp, magic.h, targeting.cpp,
	uox3.cpp, uoxstruct.h: 
	create.scp item creation now tracks which entry it was made from
	CItem now has some more const'd functions (weather related)
	Removed the unnecessary function hexnumber()
	'Skin now takes 1 parameter, not 2 (combined ID)
	'Dye now takes 1 parameter, not 2 (combined ID)
	'sfx now takes 1 or 2 parameters (combined ID, or separate)
	'gumpopen now takes 1 or 2 parameters (combined ID, or separate)
	'delid now takes 1 or 2 parameters (combined ID, or separate)
	cGump::Open() takes 3 params, not 4 (combined IDs)
	DiamondSpell(), FloodSpell(), SquareSpell() and FieldSpell()
	updated to take a combined ID, not separate
	Smelting heavily rewritten, so that it returns half the resources
	required to make it

2001-09-10 20:50  toinzane

	* boats.cpp, cChar.cpp, cSpawnRegion.cpp: 
	Documented cSpawnRegion.cpp
	Fixed an error where an Unsigned Char was possibly set with
	negative values in boats.cpp
	Fixed petguarding set to -1 in CChar constructor.

2001-09-10 20:48  seank

	* ChangeLog, queue.cpp: 
	sort needs algorithm

2001-09-10 20:35  darkangelab

	* PageVector.h, cmdtable.cpp, cmdtable.h, commands.cpp,
	network.cpp, network.h, queue.cpp, uox3.cpp: 
	Changed the gmpage_st to a HelpRequest class
	Updated and latered HelpRequest to lay groundwork for reorganized
	GM queues
	Cleaned up some code
	Added PeakConnectionCount member to cNetworkStuff
	Hid some unnecessary public functions in cNetworkStuff
	Removed the 'wanim command completely

2001-09-10 20:30  darkangelab

	* regions.cpp: 
	Fixed a crash bug that occurred when nearing the edge of a map

2001-09-10 19:53  darkangelab

	* books.cpp, xgm.cpp, xgm.h: 
	Added placeholder for show queue request xGM packet
	Updated the ping packet so that it will return the time of the
	server
	Simplified the Cns and GM logged in code
	Cleaned up some code

2001-09-09 19:30  darkangelab

	* cServerData.cpp, cServerData.h, funcdecl.h, globals.cpp,
	house.cpp, uox3.cpp, uox3.h: 
	Removed hstr2num as it's no longer used
	Converted last use of hstr2num to makeNum
	Fixed the auto save bug
	Simplified the uox3test.ini output, as well as reading it's input

2001-09-09 18:38  darkangelab

	* cRaces.cpp: 
	Reorganized the layout of the code in race transformation
	Fixed a bug where it would try and colourize a beard object that
	didn't exist

2001-09-09 18:32  darkangelab

	* cRaces.cpp: 
	REQUIREBEARD is off by default

2001-09-07 09:10  toinzane

	* cClick.cpp, cSpawnRegion.cpp, cmdtable.cpp, cmdtable.h,
	funcdecl.h, globals.cpp, pcmanage.cpp, skills.cpp, skills.h,
	targeting.cpp, typedefs.h, uox3.h, weight.cpp: 
	Minor cleanups / fixes.
	Removed some superfluous globals and #defines

2001-09-06 18:31  darkangelab

	* trigger.cpp: 
	Fixed envoke.scp parsing under windows
	NOTE This requires that you update your scpTrig.scp file to include
	explicit 0x for denoting hex values

2001-09-06 18:14  darkangelab

	* cThreadQueue.h, uox3.cpp: 
	Fixed the console broadcast corruption bug

2001-09-06 17:49  darkangelab

	* uox3.cpp: 
	Add GUIINFORMATION to menus.scp valid tags, which is a gump based
	display of current VERSION and INFORMATION tags
	VERSION tag in menus.scp now properly displays the version

2001-09-05 21:33  toinzane

	* boats.cpp, cChar.cpp, cItem.cpp, cmdtable.cpp, items.cpp,
	npcs.cpp, targeting.cpp, uox3.cpp: 
	More work on mapregion stuff
	Improved how CItem and CChar destructors clean up after themselves.
	Misc minor cleanups / fixes

2001-09-05 20:59  darkangelab

	* cmdtable.cpp, commands.cpp, gumps.cpp, house.cpp, items.cpp,
	magic.cpp, npcs.cpp, targeting.cpp, uox3.cpp: 
	Converted some calls to SetX and SetY to use SetLocation
	Cleaned up some code

2001-09-04 18:11  darkangelab

	* cServerData.cpp: 
	Fixed a linux path mapping bug

2001-09-03 18:29  toinzane

	* cClick.cpp, cGuild.cpp, cItem.cpp, cRaces.cpp, commands.cpp,
	gumps.cpp, items.cpp, magic.cpp, npcs.cpp, skills.cpp,
	townregion.cpp, uox3.cpp: 
	makeNum() now handles octal, hex, and decimal (thanks seank).
	Fixed a bug with guildstone names (and setting a name to any
	object)
	Misc minor cleanups/fixes

2001-09-03 18:13  darkangelab

	* globals.cpp, items.cpp, npcs.cpp, uox3.cpp, uox3.h: 
	Removed some unnecessary globals
	Removed some crash bugs caused by faulty code ('remove on items
	should work correctly, amongst other things)

2001-09-03 16:55  darkangelab

	* cBaseobject.cpp, skills.cpp: 
	Believe the rename crash bug has been fixed (doesn't crash at all
	for me)
	Fixed the mining bug where no ore would come up

2001-09-02 17:56  darkangelab

	* cScript.cpp: 
	Added GetLightLevel to the function table so that it can be called

2001-09-02 15:17  darkangelab

	* SEFunctions.cpp, cBaseobject.cpp, cItem.cpp, skills.cpp: 
	Added harkon's fixes for the SE functions GetPackOwner, FindMulti
	and SpawnItem
	Updated CItem::SetLocation so that it updates the multi value
	(should fix the guildstone placement bug)
	Slight tidy up in cbaseobject.cpp to initialize a variable to NULL

2001-08-29 18:31  darkangelab

	* cScript.cpp: 
	harkon fixed a script function lookup problem

2001-08-28 19:31  toinzane

	* books.cpp, cAccount.cpp, cBaseobject.cpp, cChar.cpp, cGuild.cpp,
	cItem.cpp, cMultiObj.cpp, cRaces.cpp, cServerData.cpp,
	cServerDefinitions.cpp, cSpawnRegion.cpp, cWeather.cpp,
	commands.cpp, funcdecl.h, gumps.cpp, house.cpp, html.cpp,
	items.cpp, jail.cpp, magic.cpp, msgboard.cpp, necro.cpp,
	network.cpp, newbie.cpp, npcs.cpp, skills.cpp, targeting.cpp,
	townregion.cpp, trigger.cpp, uox3.cpp: 
	Changed many atoi() calls to makeNum() calls to allow support of
	strings

2001-08-28 17:05  toinzane

	* books.cpp, books.h, cClick.cpp, cServerData.cpp, cServerData.h,
	cSpawnRegion.cpp, itemhandler.cpp, network.cpp, uox3.cpp: 
	Fixed some issues with books.
	Possible crash fixes with SpawnRegions

2001-08-23 22:46  seank

	* ChangeLog, uox3.h: 
	minor linux fix for ioctl

2001-08-23 22:07  darkangelab

	* SEFunctions.cpp, cAccount.cpp, cAccount.h, cBaseObject.h,
	cBaseobject.cpp, cChar.cpp, cChar.h, cItem.cpp, cItem.h,
	cMultiObj.cpp, cServerData.cpp, cServerData.h,
	cServerDefinitions.cpp, cSocket.cpp, cSocket.h, cWeather.cpp,
	cmdtable.cpp, fileio.cpp, funcdecl.h, hash.cpp, items.cpp,
	mapstuff.cpp, network.cpp, network.h, npcs.cpp, speech.cpp,
	teffect.h, trigger.cpp, typedefs.h, uox3.cpp, uox3.h: 
	Overall clean up and tidy ups
	Removed the need for typedef'ing UINT, INT, UCHAR, CHAR, and TCHAR,
	making use of their UI32 and such equivalents
	Removed some of the need for #ifdef'ing (removing about 20
	references to it)

2001-08-23 22:06  seank

	* Makefile.am, Makefile.in: 
	added cSpawnRegion.cpp to the makefile

2001-08-23 19:56  darkangelab

	* packets.cpp, packets.h: 
	Due to Beniam's information, been able to implement an input packet
	class to handle packet 0xC8

2001-08-23 18:33  darkangelab

	* itemhandler.cpp, xgm.cpp: 
	Updated xGM who packet, so that it properly reflects those who are
	logging out / offline
	Item handler now throws an exception (for debugging purposes) if a
	valid items[] number is used, but the object is NULL

2001-08-22 21:15  darkangelab

	* cItem.cpp, charhandle.cpp, handlers.h, itemhandler.cpp,
	items.cpp, uox3.cpp: 
	CItem destructor does meaningful work now (and simplifies
	DeleItem())
	Item and Char handlers now clean themselves up programmatically,
	rather than automatically
	Bit of code cleanliness

2001-08-22 20:21  darkangelab

	* cChar.cpp, cItem.cpp, cMultiObj.cpp, charhandle.cpp,
	cmdtable.cpp, html.cpp, itemhandler.cpp, items.cpp, npcs.cpp,
	sound.cpp, targeting.cpp, uox3.cpp: 
	Clean ups / tidy ups to various sections of code
	Fixed the summon daemon death crash that was occurring
	Changed deathstuff to not use invalid pointers after character
	deletion

2001-08-22 19:15  toinzane

	* UOX3_Official.dsp: 
	Added cSpawnRegion.cpp and cSpawnRegion.h to the project file.

2001-08-22 19:12  toinzane

	* cSpawnRegion.cpp, cSpawnRegion.h: 
	Implemented cSpawnRegion

2001-08-22 19:04  toinzane

	* SEFunctions.cpp, UOX3_Official.dsp, cChar.cpp, classes.h,
	cmdtable.cpp, commands.cpp, commands.h, funcdecl.h, globals.cpp,
	items.cpp, necro.cpp, npcs.cpp, regions.cpp, targeting.cpp,
	townregion.cpp, uox3.cpp, uox3.h, uoxstruct.h: 
	Many fixes / cleanups with spawnregions.
	Broke spawnregions into their own class cSpawnRegion.
	Minor fixes / cleanups.

2001-08-21 20:10  darkangelab

	* npcs.cpp: 
	Updated DeleteChar() to reduce need to call calcCharFromSer, fixing
	a potential delete bug

2001-08-21 19:38  darkangelab

	* globals.cpp, items.cpp, uox3.h: 
	Removed an unnecessary global variable
	Tidied up DeleItem() a little

2001-08-21 19:32  darkangelab

	* cGuild.cpp, cGuild.h, items.cpp: 
	gList is now a map< GuildID, CGuild * > instead of vector< CGuild *
	>
	This allows for nonsequential guild numbers, and solves a guild
	removal bug
	Fixed a bug where characters were never actually removed from their
	guild
	Fixed up DeleItem so that items.Delete() is called with a proper
	var (as well as ispawnsp.Remove())

2001-08-21 17:24  toinzane

	* cGuild.cpp: 
	Fixed some bad loops in CGuild (Should fix several crash bugs with
	guildstones)

2001-08-21 15:07  toinzane

	* cAccount.cpp, network.cpp: 
	Fixed auto-account creation bug (Thanks Fixit)

2001-08-21 06:44  toinzane

	* cGuild.cpp, gumps.cpp: 
	Guildstones are now properly removed when last member resigns.
	Fixed resign code so players who aren't in a guild can't resign
	(thus crashing the server).
	Fixed some possible endless loops.
	Resized new tweak menus a bit.

2001-08-21 02:34  darkangelab

	* funcdecl.h, trigger.cpp, typedefs.h, xgm.cpp: 
	Removed some dead and unused code
	Updated some documentation in xgm.cpp

2001-08-20 19:18  darkangelab

	* cAccount.cpp, network.cpp, pcmanage.cpp, typedefs.h, uox3.cpp,
	xgm.cpp, xgm.h: 
	Added in Access Level Change Request and Response for xGM (courtesy
	of JoeMC)
	Added who's offline support
	ACTREC's inworld is now a SERIAL instead of a char index, allowing
	for better speed and flexibility
	General code clean up / tidy ups
	Must be online or an NPC to sustain hunger damage or change of
	hunger status

2001-08-20 14:22  toinzane

	* gumps.cpp: 
	Documented gumps.cpp

2001-08-20 13:52  toinzane

	* gumps.cpp: 
	Removed an un-needed debug message.

2001-08-20 13:09  toinzane

	* cGuild.cpp, cItem.cpp, cItem.h, cScript.cpp, cmdtable.cpp,
	commands.cpp, funcdecl.h, gump.h, gumps.cpp, items.cpp, queue.cpp,
	skills.cpp, targeting.cpp, townregion.cpp, wholist.cpp: 
	Removed ItemHand() stuff entirely, (This will cause your worldfile
	to report invalid tags, this is normal, just save and reload the
	world file).
	Completely re-wrote the tweak menu. Divided it into two seperate
	menus (Items and Characters) Looks much nicer, has far more
	functionality, and is much easier to modify now.
	Misc minor cleanups

2001-08-19 21:15  darkangelab

	* uox3.h: 
	Version 0.95.04

2001-08-19 18:56  darkangelab

	* cServerData.cpp, cServerData.h, globals.cpp, network.cpp, uox3.h:
	
	Updated so that UOX_PORT is no longer required
	GetServerPort and SetServerPort modify an internal listen port
	Listen port now binds to GetServerPort of cServerData
	Reads server.scp before uox3.ini now, to ensure proper PORTness

2001-08-19 17:49  darkangelab

	* xgm.cpp: 
	Fixed a client version receive crash bug

2001-08-19 17:30  darkangelab

	* xgm.cpp: 
	Updated GMLoggedIn and CnsLoggedIn to actually properly return the
	GMs / Counselors logged in rather than the total number of them

2001-08-17 17:33  toinzane

	* cBaseobject.cpp, cGuild.cpp, packets.cpp: 
	Weblaunch bug fixed.
	Fixed guild name crash bug (caused by long guild names).
	Changed Guildmaster Title length to max 15 characters. (was only 3
	characters)

2001-08-17 16:23  toinzane

	* boats.cpp, cServerData.cpp, cServerData.h, movement.cpp,
	skills.cpp, uox3.cpp: 
	Cleaned up checkauto() and broke it down into more functions to
	improve speed / readability.
	Fixed boats dissapearing bug.
	Got rid of BEGGINGTEXT stuff in favor of dictionary entries.
	Misc minor cleanups / fixes.

2001-08-16 22:51  toinzane

	* targeting.cpp: 
	Fixed a minor (stupid) bug with my latest source.

2001-08-16 21:27  toinzane

	* targeting.cpp, targeting.h: 
	Removed some unneeded code.

2001-08-16 21:18  toinzane

	* cServerDefinitions.cpp, npcs.cpp, targeting.cpp, targeting.h,
	uox3.cpp: 
	Minor cleanups in targeting.
	Added support for CARVE.scp using the groundwork Abaddon put in
	earlier. (note this requrires you add a new /carve/ dir in
	/dfndata/ and put the carve.scp from the scripts CVS in it.)
	Misc minor cleanups.

2001-08-16 18:46  darkangelab

	* xgm.cpp: 
	Server version response actually sends the real version and not 0

2001-08-16 18:15  darkangelab

	* xgm.cpp: 
	Fixed a crash bug when trying to get a serverstat and the object
	was being destroyed

2001-08-16 14:10  toinzane

	* combat.cpp, combat.h, funcdecl.h, skills.cpp, uox3.cpp: 
	Fixed up guards and guard spawning;
	Will no longer attack the person who called guards.
	Now ensures there's no other guard (who isn't busy) in the area
	before spawning a new guard.
	Guards will no longer dissapear while in the midst of battle.
	Misc minor cleanups.

2001-08-15 18:44  toinzane

	* cAccount.cpp, uox3.cpp: 
	Minor fix in cAccounts.cpp.
	More error-checking added to checkRegion()

2001-08-15 14:03  seank

	* xgm.cpp: 
	Updated xgm perl stuff a bit..

2001-08-15 13:08  toinzane

	* cAccount.cpp, cAccount.h, cChar.cpp, funcdecl.h, movement.cpp,
	pcmanage.cpp, uox3.cpp, wholist.cpp, xgm.cpp: 
	Fixed the 'footsteps' bug.
	Fixed a bug when accountflush was set > 0
	Minor cleanups in how accounts are looped through.
	Minor bugfix to startChar().
	Cleaned up checkRegion().

2001-08-14 22:51  darkangelab

	* cSocket.cpp, xgm.cpp, xgm.h: 
	Fixed non XGM client login bug
	Generic clean ups / tidy ups

2001-08-14 22:15  darkangelab

	* network.cpp, network.h, pcmanage.cpp, uox3.cpp: 
	setLastOn takes a cSocket * instead of a UOXSOCKET
	Cleaned up some startChar() code to work correctly
	Corrected a checkregion() bug that did an invalid pack check

2001-08-14 21:39  toinzane

	* cSocket.cpp, network.h, skills.cpp: 
	Linux compile fixes (Thanks seank / Kot )
	GM's can now gain skill.

2001-08-14 21:06  darkangelab

	* SEFunctions.cpp, SEFunctions.h, UOX3_Official.dsp, cScript.cpp: 
	Added Get/Set More XYZ
	Moved jail.cpp and jail.h into subsystem folders

2001-08-14 08:55  toinzane

	* cItem.cpp, combat.cpp, items.cpp, typedefs.h, uox3.cpp,
	vendor.cpp: 
	Added MAX_STACK to determine how large stackables can be set.
	Moved AutoStacking into its own function.
	Broke dropItem() into two functions, dropItem() and
	dropItemOnChar().
	Fixed a combat bug that could cause NPC's to never swing at their
	target.
	Misc minor cleanups.

2001-08-13 19:01  darkangelab

	* cItem.cpp: 
	Updated SetCont so that items won't disappear oddly (and they will
	still be saved)

2001-08-13 18:53  toinzane

	* cChar.cpp, items.cpp, targeting.cpp, uox3.cpp: 
	Fixed some issues with item Layers.
	Depreciated usage of ITEMHAND in favor of LAYER.
	Cleaned up wearItem() a bit.
	Misc minor cleanups.

2001-08-13 17:48  darkangelab

	* Dictionary.cpp, cSocket.cpp, effect.cpp, enums.h, magic.cpp,
	network.h, speech.cpp, speech.h, uox3.cpp: 
	Cleaned up some dead code / unreachable code / useless code
	Added distinct language support, collapsing all english flavours
	into a single file, all german into a single file, and so on
	Now require only roughly half a dozen dictionary files
	
	==================
	Copy dictionary.zro from the scripts/release archive to scripts/ in
	the installed directory.  Duplicate it and rename the duplicates to
	have extensions of UNK and ENG

2001-08-13 15:26  toinzane

	* dist.cpp, uox3.cpp: 
	Minor bugfix in checkItemRange()
	Cleaned up grabItem().

2001-08-12 19:40  toinzane

	* boats.cpp, classes.h, npcs.cpp, pcmanage.cpp: 
	Added some NULL checks for added crash protection.
	Gave Zippy credit for boats.cpp functions.
	Documented AddNpcCreation().

2001-08-11 09:19  toinzane

	* ai.cpp, classes.h, combat.cpp, funcdecl.h, lineofsight.cpp,
	magic.cpp, movement.cpp, movement.h, skills.cpp, targeting.cpp: 
	NPC's no longer loose their targets as easily.
	Change line_of_sight to LineOfSight() and fixed it up a bit.
	Misc minor cleanups.

2001-08-10 14:48  toinzane

	* cChar.cpp, combat.cpp, effect.cpp, movement.cpp, movement.h: 
	Fixed a bug causing bandages not to be used up and spit out an
	invalid item refrence.
	Added a check so a player cannot use any fighting skill while
	running or walking, if they are walking, they will begin fighting
	as soon as they stop, if they are running, they must wait a short
	amount of time (scriptable based on stamina_regen).
	Attackers now turn to face their opponent in combat if they are not
	already.
	Misc minor cleanups.

2001-08-10 09:36  toinzane

	* combat.cpp, items.cpp, magic.cpp, movement.cpp, necro.cpp,
	npcs.cpp, pcmanage.cpp, sound.cpp, targeting.cpp, uox3.cpp: 
	Added a check so archers cannot fire arrows while running.
	Added a distance check so archers must be 2 or more tiles from
	their targets.
	Fixed a crash bug when using a 'make command on an offline
	character
	Several minor bugfixes.
	Moved around some code in combat.cpp to speed up processing a bit.
	Moved a few funcs out of uox3.cpp to files better suited for them.
	Misc minor cleanups.

2001-08-09 20:49  darkangelab

	* network.cpp, xgm.cpp: 
	Fixed some cPIXGMLogin bugs
	Automatically flushes the xGM buffers now

2001-08-09 08:06  toinzane

	* SEFunctions.cpp, cChar.cpp, cChar.h, cClick.cpp, cScript.cpp,
	effect.cpp, funcdecl.h, gumps.cpp, house.cpp, mapstuff.cpp,
	mapstuff.h, pcmanage.cpp, sound.cpp, targeting.cpp: 
	More object conversions done.
	Fixed a bug in checktempeffects() that would cause any tempeffect
	without a character as the dest to fail.

2001-08-08 20:16  darkangelab

	* cClick.cpp, items.cpp, speech.cpp: 
	Proper use of GetOwner() and GetOwnerObj() (fixing few crashes)
	Tidied up doubleClick a little more

2001-08-08 15:28  toinzane

	* cClick.cpp: 
	Fixed a bug with doubleclick not opening players paperdolls

2001-08-08 14:23  toinzane

	* ai.cpp, books.cpp, books.h, cClick.cpp, cGuild.cpp, cmdtable.cpp,
	commands.cpp, commands.h, funcdecl.h, gump.h, gumps.cpp, html.cpp,
	jail.cpp, necro.cpp, network.cpp, speech.cpp, targeting.cpp,
	uox3.cpp, vendor.cpp: 
	Many more object conversions.

2001-08-08 09:26  toinzane

	* SEFunctions.cpp, cClick.cpp, cItem.cpp, cMagic.h, calcfuncs.cpp,
	combat.cpp, commands.cpp, commands.h, effect.cpp, findfuncs.cpp,
	funcdecl.h, gumps.cpp, house.cpp, items.cpp, magic.cpp,
	movement.cpp, necro.cpp, network.cpp, skills.cpp, targeting.cpp,
	uox3.cpp, vendor.cpp: 
	Many more object conversions, further depreciated &items[] and
	calcItemFromSer() usage.

2001-08-08 08:15  toinzane

	* cItem.cpp, classes.h, npcs.cpp, speech.cpp, targeting.cpp: 
	Cleaned up pet command code.
	Added new func stopPetGuarding() to simplify some code.
	Fixed a bug causing a crash on death (was trying to set a long to a
	CChar * )
	Misc minor cleanups.

2001-08-07 23:23  darkangelab

	* cItem.cpp, funcdecl.h, items.cpp, magic.cpp, quantityfuncs.cpp,
	skills.cpp, targeting.cpp, uox3.cpp: 
	Cleaned up some more code
	Removed some redundant code
	Reduced the need of &items[] style code

2001-08-07 22:33  darkangelab

	* cClick.cpp, dist.cpp, targeting.cpp, uox3.cpp: 
	Used GetOwnerObj() where possible
	Cleaned up doubleClick() a little more
	General code tidy ups

2001-08-07 22:16  darkangelab

	* SEFunctions.cpp, speech.cpp, targeting.cpp, targeting.h: 
	BuyShop updated to take a CChar *
	Generic code cleanups

2001-08-07 22:01  darkangelab

	* cMagic.h, magic.cpp, skills.cpp: 
	CheckStamina(), CheckMana() and CheckHealth() now use CChar *
	instead of CHARACTER
	DirectDamage was removed
	CheckParry for CHARACTER was removed
	Log() for magic was updated to use CChar * instead of CHARACTER
	Other minor code clean up / tidy ups

2001-08-07 21:42  darkangelab

	* cMagic.h, magic.cpp: 
	Removed PFireballTarget as it was never used
	Removed an unnecessary version of CheckResist

2001-08-07 21:35  darkangelab

	* targeting.cpp: 
	Converted MakeStatusTarget() to make use of CChar * instead of
	CHARACTER

2001-08-07 20:22  darkangelab

	* cChar.cpp, cMagic.h, cWeather.cpp, cWeather.hpp, combat.cpp,
	commands.cpp, commands.h, effect.cpp, funcdecl.h, magic.cpp,
	npcs.cpp, pcmanage.cpp, targeting.cpp, townregion.cpp,
	townregion.h, uox3.cpp: 
	Removed some need for calcCharFromSer
	Converted some funcs to use CChar * instead of CHARACTER
	Cleaned up some code to make it more readable
	Reduced dependence on &chars[] style code

2001-08-07 19:27  darkangelab

	* SEFunctions.cpp, cmdtable.cpp, combat.cpp, commands.cpp,
	effect.cpp, speech.cpp, targeting.cpp, townregion.cpp,
	townregion.h, trade.cpp, uox3.cpp, vendor.cpp: 
	Fixed a duping bug
	Removed more uses of calcCharFromSer
	Optimized some code

2001-08-07 18:38  toinzane

	* cClick.cpp, cmdtable.cpp, commands.cpp, gumps.cpp, magic.cpp,
	movement.cpp, msgboard.cpp, network.cpp, skills.cpp, targeting.cpp,
	uox3.cpp: 
	Changed many sysmessage() messages to dict entries (make sure you
	update your dictionary.zro)

2001-08-07 18:12  darkangelab

	* gumps.cpp, packets.cpp, skills.cpp, uox3.cpp: 
	Updated CPTrackingArrow to reset properly on one constructor
	Updated tracking code so that the menus work correctly again
	Minor clean ups

2001-08-07 17:40  toinzane

	* cGuild.cpp, cmdtable.cpp, commands.cpp, house.cpp, html.cpp,
	im.cpp, msgboard.cpp, network.cpp, speech.cpp, targeting.cpp,
	uox3.cpp, wholist.cpp: 
	Added crash protection to unsafe CurrcharObj() calls.

2001-08-07 17:17  darkangelab

	* effect.cpp, uox3.cpp: 
	Allmight's night sight fixes

2001-08-07 17:13  darkangelab

	* SEFunctions.cpp, cRaces.cpp, cRaces.h, cmdtable.cpp, effect.cpp,
	funcdecl.h, skills.cpp, uox3.cpp: 
	Converted cRaces::gate to use a CChar * instead of a CHARACTER, and
	bool instead of an int
	Miscellaneous other cleanups
	Removed the CHARACTER based version of statwindow()

2001-08-07 15:47  toinzane

	* uox3.cpp: 
	Linux compile fixes.

2001-08-07 15:19  toinzane

	* targeting.h: 
	Fixed yet another linux compile issue.

2001-08-07 13:47  toinzane

	* combat.cpp: 
	Fixed a Linux compile problem.

2001-08-07 12:50  toinzane

	* SEFunctions.cpp, ai.cpp, cGuild.cpp, cMagic.h, cWeather.cpp,
	cmdtable.cpp, commands.cpp, gumps.cpp, house.cpp, im.cpp,
	items.cpp, magic.cpp, msgboard.cpp, necro.cpp, network.cpp,
	skills.cpp, townregion.cpp, uox3.cpp, wholist.cpp: 
	Depreciated Currchar() usage almost entirely.
	Misc minor cleanups.

2001-08-07 11:23  toinzane

	* SEFunctions.cpp, ai.cpp, cChar.cpp, cClick.cpp, cMagic.h,
	cWeather.cpp, calcfuncs.cpp, classes.h, combat.cpp, door.cpp,
	funcdecl.h, gumps.cpp, html.cpp, magic.cpp, movement.cpp,
	network.cpp, newbie.cpp, pcmanage.cpp, skills.cpp, speech.cpp,
	targeting.cpp, uox3.cpp, vendor.cpp, wholist.cpp: 
	Many object conversions done.
	Misc minor cleanups.

2001-08-07 10:31  toinzane

	* classes.h, itemhandler.cpp, items.cpp, uox3.cpp: 
	Minor cleanups in items.cpp
	Removed a superfluous function.
	Fixed an issue with pet guarding.

2001-08-07 09:43  toinzane

	* SEFunctions.cpp, cClick.cpp, classes.h, combat.cpp, magic.cpp,
	npcs.cpp: 
	Changed AddRandomNPC() to CreateRandomNpc().
	Removed some superfluous code.
	Minor cleanups.

2001-08-06 23:43  toinzane

	* cClick.cpp, classes.h, combat.cpp, funcdecl.h, magic.cpp,
	npcs.cpp, targeting.cpp, targeting.h, uox3.cpp: 
	Broke NpcCreation() in npcs.cpp into two functions (
	CreateScriptNpc() and ApplyNpcSection ).
	Fixed up AddRandomNpc() to work with new NpcCreation() format.
	Converted npcs.cpp to object-based.
	Misc minor cleanups.

2001-08-06 21:23  toinzane

	* mapstuff.cpp, npcs.cpp: 
	Fixed up AddRandomNPC().
	Changed BuldFilePath() in mapstuff.cpp to use MAX_PATH.

2001-08-06 20:31  darkangelab

	* classes.h, items.cpp: 
	CreateRandomItem is cleaned up / more efficient
	CreateRandomScriptItem now returns a CItem * instead of an ITEM
	CreateRandomScriptItem should no longer crash
	Both CreateRandomItem and CreateRandomScriptItem no longer have
	hard coded limits

2001-08-06 18:40  darkangelab

	* cScript.cpp, magic.cpp, uox3.cpp: 
	Tidy up / clean up of some script code
	The JS context scripts execute within are now 8k in size, rather
	than 4k

2001-08-06 17:39  darkangelab

	* SEFunctions.cpp, boats.cpp, cClick.cpp, cGuild.cpp, cGuild.h,
	funcdecl.h, gumps.cpp, skills.cpp, speech.cpp, targeting.cpp,
	townregion.cpp, townregion.h, uox3.cpp: 
	Added dictionary friendly versions of cTownRegion::TellMembers,
	CGuild::TellMembers, npcEmote and npcEmoteAll
	Converted more functions to use dictionary funcs instead
	Tidied up speech in boats.cpp, making it more readable (but
	potentially sacrificing a bit of speed)
	General code clean up / tidy up

2001-08-06 16:00  toinzane

	* classes.h, cmdtable.cpp, combat.cpp, magic.cpp, msgboard.cpp,
	network.cpp, npcs.cpp, skills.cpp, speech.cpp, targeting.cpp,
	targeting.h: 
	Cleaned up some dictionary calls.
	Added pet FRIEND command, can now add people to pets friend list
	(currently capped at 20, may adjust later).
	Changed checkPetFriend() to a bool.
	Adjusted petGuardAttack() so pets will not attack friends.
	Misc minor cleanups.

2001-08-06 13:14  toinzane

	* SEFunctions.cpp, cClick.cpp, classes.h, cmdtable.cpp, combat.cpp,
	combat.h, commands.cpp, enums.h, funcdecl.h, items.cpp, magic.cpp,
	movement.cpp, msgboard.cpp, msgboard.h, necro.cpp, npcs.cpp,
	regions.cpp, skills.cpp, speech.cpp, uox3.cpp, uox3.h: 
	Converted msgboard.cpp functions to make use of cSocket and CChar.
	Converted some npcs.cpp functions to make use of CChar and CItem.
	Slowed down damage rate on Weapons/Armor in combat.
	Misc minor cleanups.

2001-08-06 08:16  toinzane

	* SEFunctions.cpp, ai.cpp, boats.cpp, cClick.cpp, combat.cpp,
	combat.h, door.cpp, effect.cpp, funcdecl.h, magic.cpp,
	msgboard.cpp, necro.cpp, skills.cpp, speech.cpp, targeting.cpp,
	uox3.cpp, vendor.cpp: 
	More cleanups / fixes in combat.cpp
	Added Dictionary-Safe overloads of npcTalk() and npcTalkAll().

2001-08-05 21:01  darkangelab

	* combat.cpp: 
	Slight clean up / tidy up
	Adjusted 2 sysmessage calls

2001-08-05 19:49  toinzane

	* cServerData.cpp, combat.cpp, combat.h, magic.cpp, uox3.cpp,
	weight.cpp: 
	MAJOR Overhaul to Combat (When the system is completed I'll write
	up a Doc on it).
	Minor fixes.
	Fixed a Recall / Weight Check bug.

2001-08-05 19:34  darkangelab

	* uox3.h: 
	Updated build number

2001-08-05 19:30  darkangelab

	* cChar.cpp, uox3.cpp: 
	Fixed regen problems with NPCs/PCs
	Meditation overhaul by Spud allowing for better behaviour / greater
	complexity

2001-08-04 19:21  darkangelab

	* SEFunctions.cpp, cClick.cpp, cMagic.h, cWeather.cpp,
	cmdtable.cpp, combat.cpp, funcdecl.h, jail.cpp, magic.cpp,
	movement.cpp, npcs.cpp, skills.cpp, sound.cpp, speech.cpp,
	targeting.cpp, uox3.cpp, wholist.cpp: 
	Generic code clean ups / tidy ups
	Converted more functions to use CChar * and CItem *
	Reduced calls to calcCharFromSer
	Used calcCharObjFromSer more in targeting.cpp

2001-08-04 12:49  toinzane

	* SEFunctions.cpp, cClick.cpp, combat.cpp, effect.cpp, gumps.cpp,
	skills.cpp, skills.h, uox3.cpp: 
	Fixed a small issue with NPCs in combat.
	Converted skills.cpp functions to object-based.
	Misc minor cleanups.

2001-08-03 23:09  darkangelab

	* combat.cpp, skills.cpp, trade.cpp: 
	Cleaned up some usage of sysmessage

2001-08-03 21:53  toinzane

	* SEFunctions.cpp, cMagic.h, funcdecl.h, house.cpp, magic.cpp,
	movement.cpp, movement.h, network.cpp, uox3.cpp: 
	Converted movement.cpp functions to object-based.
	Further depreciated Currchar().
	Misc minor cleanups.

2001-08-03 19:48  toinzane

	* combat.cpp, movement.cpp: 
	NPC Combat sounds now play.
	Major lag fix for NPC's in combat.

2001-08-03 17:43  toinzane

	* cClick.cpp, cWeather.cpp, combat.cpp, effect.cpp, magic.cpp,
	movement.cpp, npcs.cpp, uox3.cpp: 
	Fixed NPC spawning.
	Fixed a crash for NPCs spellcasting during combat.
	Fixed NPC archers producing an invalid socket error.
	Several nasty crash bugs fixed.
	Removed many -1 character refrence warnings.

2001-08-03 13:30  toinzane

	* cChar.cpp, cGuild.cpp, combat.cpp, commands.cpp, effect.cpp,
	funcdecl.h, gumps.cpp, items.cpp, magic.cpp, msgboard.cpp,
	necro.cpp, network.cpp, skills.cpp, skills.h, targeting.cpp,
	uox3.cpp, vendor.cpp: 
	Many object conversions done, far less usage of calcItemFromSer().
	Cleaned up msgboard.cpp.
	Misc minor cleanups.

2001-08-02 18:39  darkangelab

	* enums.h, speech.cpp, speech.h: 
	Added all the Unicode language codes I could find.  Please note
	that as much as we track them now, we still don't put them in when
	sending speech
	Also, not all of those language codes will be translatable.
	
	TO DO
	======
	All english and other languages have commonality.  Alter dictionary
	so that all english is from one file, all german from another, and
	so on

2001-08-02 17:37  darkangelab

	* Dictionary.cpp, cServerDefinitions.cpp, cSocket.cpp,
	cmdtable.cpp, commands.cpp, fileio.cpp, im.cpp, jail.cpp,
	magic.cpp, mapstuff.cpp, regions.cpp, skills.cpp, speech.cpp,
	trigger.cpp, uox3.cpp: 
	Source code clean up / tidy up
	All filenames that build a path now use MAX_PATH, and should help
	resolve some crashes

2001-08-02 16:46  darkangelab

	* ai.cpp, boats.cpp, cChar.cpp, cClick.cpp, classes.h, house.cpp,
	items.cpp, magic.cpp, pcmanage.cpp, uox3.cpp: 
	Removed some redundant code sequences
	Changed '\xaa' type code to 0xaa type code (fixed one boat issue
	previously)
	Generic clean up / tidy up

2001-08-02 16:08  toinzane

	* combat.cpp, uox3.cpp: 
	Fixed some -1 Character refrence warnings

2001-08-02 15:22  toinzane

	* SEFunctions.cpp, cItem.cpp, cMultiObj.cpp, calcfuncs.cpp,
	funcdecl.h, items.cpp, network.cpp, npcs.cpp, pcmanage.cpp,
	regions.cpp, speech.cpp, targeting.cpp, uox3.cpp, vendor.cpp: 
	Fixed a VERY nasty bug caused by one of my earlier commits.
	More object conversions done.

2001-08-02 12:15  toinzane

	* classes.h, cmdtable.cpp, funcdecl.h, network.cpp, npcs.cpp,
	pcmanage.cpp, trade.cpp, uox3.cpp: 
	Fixed a nasty crash bug caused by adding NPC's
	More object conversions

2001-08-02 08:37  toinzane

	* SEFunctions.cpp, boats.cpp, cClick.cpp, cItem.cpp, cWeather.cpp,
	classes.h, cmdtable.cpp, combat.cpp, commands.cpp, effect.cpp,
	funcdecl.h, gumps.cpp, house.cpp, html.cpp, items.cpp, magic.cpp,
	movement.cpp, necro.cpp, network.cpp, npcs.cpp, pcmanage.cpp,
	quantityfuncs.cpp, regions.cpp, skills.cpp, skills.h, speech.cpp,
	targeting.cpp, targeting.h, townregion.cpp, trade.cpp, uox3.cpp,
	vendor.cpp, wholist.cpp: 
	More object conversions.
	Removed superfluous functions.
	Further depreciated Currchar().
	Minor code cleanups.

2001-08-01 19:06  darkangelab

	* classes.h, uox3.h, xgm.cpp, xgm.h: 
	Updated xgm.h to no longer define cRemote
	xgm.h now contains the class definitions for incoming / outgoing
	xgm packets
	Implemented incoming xGM packets 0x02, 0x08 and 0x09

2001-08-01 18:07  darkangelab

	* boats.cpp, cBaseobject.cpp, cChar.cpp, cChar.h, npcs.cpp,
	targeting.cpp: 
	Fixed bug #446633 (boat exiting - mount copied)
	Slight tidy up / clean ups
	Fixed an invalid reference bug with IncX and IncY
	Fixed a potential boat turning / movement bug

2001-08-01 16:59  toinzane

	* combat.cpp, movement.cpp: 
	Fixed a bug allowing people to do melee combat from a distance.
	Added error checking to PathFind() to kill bad direction errors.

2001-08-01 15:43  toinzane

	* SEFunctions.cpp, ai.cpp, cClick.cpp, cRaces.cpp, cWeather.cpp,
	cmdtable.cpp, combat.cpp, commands.cpp, dist.cpp, door.cpp,
	effect.cpp, funcdecl.h, gumps.cpp, magic.cpp, movement.cpp,
	skills.cpp, sound.cpp, speech.cpp, targeting.cpp, uox3.cpp: 
	Many more cleanups and object conversions.
	Removed some superfluous functions.

2001-08-01 11:46  toinzane

	* SEFunctions.cpp, cClick.cpp, door.cpp, effect.cpp, funcdecl.h,
	movement.cpp, skills.cpp, sound.cpp, uox3.cpp: 
	More object conversions

2001-08-01 11:07  toinzane

	* cClick.cpp, door.cpp, globals.cpp: 
	Fixed a bug that would cause some items to spit out a slew of -1
	refrences when doubleclicked.
	Fixed doors so they open properly, and a possible invalid socket
	error.

2001-07-30 20:25  darkangelab

	* cAccount.cpp, cWeather.cpp, cWeather.hpp, xgm.cpp: 
	Updated cWeather.hpp to use R32 and UI08 instead of float and
	unsigned char
	Added Count() to cWeatherAb
	Documented a number of functions in cWeather.cpp
	Added XGM output packet 0x12 / input packet 0x0F implementations

2001-07-30 18:49  toinzane

	* SEFunctions.cpp, boats.cpp, cClick.cpp, cGuild.cpp, cRaces.cpp,
	classes.h, cmdtable.cpp, combat.cpp, commands.cpp, effect.cpp,
	funcdecl.h, house.cpp, items.cpp, magic.cpp, movement.cpp,
	necro.cpp, newbie.cpp, npcs.cpp, pcmanage.cpp, skills.cpp,
	targeting.cpp, trade.cpp, uox3.cpp: 
	Converted SpawnItem() and SpawnItemToPack() to object-based
	Minor code cleanups

2001-07-29 17:57  darkangelab

	* uox3.h: 
	Updated version information

2001-07-26 02:38  darkangelab

	* uox3.cpp: 
	Initialized a variable to prevent errors

2001-07-26 01:01  darkangelab

	* commands.cpp, funcdecl.h, quantityfuncs.cpp, targeting.cpp: 
	Code tidy up, redundancy removal
	Fixed a slight duping bug

2001-07-25 22:29  toinzane

	* SEFunctions.cpp, ai.cpp, cChar.cpp, combat.cpp, funcdecl.h,
	magic.cpp, npcs.cpp, pcmanage.cpp, skills.cpp, skills.h,
	targeting.cpp, uox3.cpp: 
	More object conversions.
	Moved npcAttackTarget() and npcSimpleAttackTarget() to combat.cpp.
	Further depreciated Currchar() usage.

2001-07-25 15:34  toinzane

	* combat.cpp, combat.h, lineofsight.cpp, npcs.cpp, skills.cpp,
	uox3.cpp: 
	Consolidated weapon ID code in combat.cpp
	Fixed a crash bug in combat.
	Fixed some combat animation bugs.
	Minor code cleanups and bugfixes.

2001-07-25 10:36  toinzane

	* SEFunctions.cpp, ai.cpp, cClick.cpp, cMagic.h, combat.cpp,
	commands.cpp, effect.cpp, funcdecl.h, magic.cpp, magic.h,
	movement.cpp, npcs.cpp, skills.cpp, targeting.cpp, targeting.h,
	uox3.cpp: 
	Converted all functions in magic.cpp to object-based.
	Fixed a possibly nasty bug with adding NPC's.
	Minor code cleanups.

2001-07-25 08:15  toinzane

	* effect.cpp, funcdecl.h, house.cpp, lineofsight.cpp, magic.cpp,
	movement.cpp, movement.h, network.cpp, skills.cpp, sound.cpp,
	speech.cpp, targeting.cpp, trade.cpp, uox3.cpp, vendor.cpp: 
	Removed some superfluous functions.
	Changed many UOXSOCKET calls to cSocket calls.
	Minor code cleanups.

2001-07-24 23:16  toinzane

	* SEFunctions.cpp, boats.cpp, boats.h, funcdecl.h, house.cpp,
	speech.cpp, uox3.cpp: 
	Removed some superfluous functions.
	Minor code cleanups.

2001-07-24 22:15  toinzane

	* SEFunctions.cpp, boats.cpp, boats.h, cClick.cpp, cItem.cpp,
	funcdecl.h, house.cpp, items.cpp, magic.cpp, movement.cpp,
	network.cpp, speech.cpp, targeting.cpp, uox3.cpp: 
	Converted boats.cpp functions to object-based.
	Moved findMulti, inMulti, and sendInRange() to uox3.cpp.
	Documented all functions in boats.cpp.
	Changed cBoats:: Turn, Move, and Build to TurnBoat, MoveBoat, and
	CreateBoat respectively.
	Minor code cleanups.

2001-07-24 20:44  darkangelab

	* jail.cpp, jail.h: 
	Jail system now reads in it's saved data

2001-07-24 20:17  darkangelab

	* jail.cpp: 
	Added customized jail locations

2001-07-24 19:59  darkangelab

	* boats.cpp, cmdtable.cpp, cmdtable.h, funcdecl.h, npcs.cpp,
	pcmanage.cpp, speech.cpp, speech.h, targeting.cpp, targeting.h: 
	Updated itemtalk() and itemmessage() to add in delay support
	Corrected the crash where an invalid dictionary reference would
	crash the server
	Added the 'deletechar command to delete a PC
	Updated cCharStuff::DeleteChar() to fix the account reference for a
	PC

2001-07-24 19:07  darkangelab

	* SEFunctions.cpp: 
	Fixed SE_CommandDetails()
	Implemented SE_GetLightLevel() properly
	Did source cleanup / tidy ups
	Added many debugging messages
	Fixed SE_CalcRank()

2001-07-24 09:59  toinzane

	* SEFunctions.cpp, ai.cpp, boats.cpp, cClick.cpp, combat.cpp,
	dist.cpp, effect.cpp, funcdecl.h, items.cpp, magic.cpp,
	movement.cpp, msgboard.cpp, necro.cpp, pcmanage.cpp, skills.cpp,
	speech.cpp, targeting.cpp, uox3.cpp, vendor.cpp: 
	Removed some superfluous functions
	More object conversions
	Renamed backpack() to openPack()
	Minor code cleanups

2001-07-23 21:25  darkangelab

	* SEFunctions.cpp, ai.cpp, boats.cpp, cBaseobject.cpp, cChar.cpp,
	cClick.cpp, cGuild.cpp, cGuild.h, cItem.cpp, cMultiObj.cpp,
	cSocket.cpp, commands.cpp, effect.cpp, house.cpp, itemhandler.cpp,
	items.cpp, magic.cpp, movement.cpp, msgboard.cpp, necro.cpp,
	network.cpp, npcs.cpp, skills.cpp, speech.cpp, speech.h,
	targeting.cpp, townregion.cpp, uox3.cpp, vendor.cpp: 
	Changed many references to 0xFFFFFFFF to INVALIDSERIAL

2001-07-23 21:01  darkangelab

	* items.cpp: 
	Fixed a bad SpawnItemToPack bug

2001-07-23 20:48  darkangelab

	* SEFunctions.cpp, cScript.cpp, npcs.cpp: 
	Updated SE_SpawnNPC function to require less variables
	Small tidy up

2001-07-23 14:58  toinzane

	* SEFunctions.cpp, ai.cpp, boats.cpp, cChar.cpp, cClick.cpp,
	cItem.cpp, cmdtable.cpp, combat.cpp, dist.cpp, door.cpp,
	effect.cpp, funcdecl.h, items.cpp, magic.cpp, movement.cpp,
	necro.cpp, npcs.cpp, skills.cpp, sound.cpp, speech.cpp,
	targeting.cpp, uox3.cpp: 
	Overhauled dist.cpp, and removed many superfluous functions.
	More object conversions done.
	Minor code cleanups.

2001-07-23 08:21  toinzane

	* cChar.cpp, cItem.cpp, dist.cpp, items.cpp, magic.cpp,
	movement.cpp, pcmanage.cpp, skills.cpp, speech.cpp, targeting.cpp,
	trade.cpp, vendor.cpp, weight.cpp, weight.h: 
	Overhauled weight, is now entirely object-based, also removed some
	useless functions.
	Further depreciated Currchar() use.
	Minor code cleanups.

2001-07-22 23:44  darkangelab

	* boats.cpp, cClick.cpp, cItem.cpp, cRaces.cpp, commands.cpp,
	funcdecl.h, house.cpp, items.cpp, magic.cpp, movement.cpp,
	npcs.cpp, pcmanage.cpp, pointer.cpp, skills.cpp, targeting.cpp,
	trade.cpp, uox3.cpp, vendor.cpp: 
	Ripped out the guts of pointer.cpp
	Changed all calls to setserial() to what setserial() actaully does,
	thus making setserial() and unsetserial() redundant
	pointer.cpp is now deprecated

2001-07-22 22:59  toinzane

	* cClick.cpp, calcfuncs.cpp, commands.cpp, door.cpp, funcdecl.h,
	gumps.cpp, house.cpp, items.cpp, magic.cpp, network.cpp, npcs.cpp,
	pcmanage.cpp, quantityfuncs.cpp, skills.cpp, speech.cpp,
	targeting.cpp, trade.cpp, trigger.cpp, uox3.cpp, vendor.cpp,
	weight.cpp: 
	Changed getPack() from an ITEM to a CItem
	Removed superfluous packitem()
	Cleaned up more Currchar()'s in favor of CurrcharObj()
	Fixed up cgold2()
	Minor code cleanups

2001-07-22 22:11  darkangelab

	* SEFunctions.cpp, boats.cpp, cChar.cpp, cChar.h, cClick.cpp,
	cRaces.cpp, cWeather.cpp, cWeather.hpp, cmdtable.cpp, combat.cpp,
	commands.cpp, effect.cpp, funcdecl.h, gumps.cpp, house.cpp,
	jail.cpp, magic.cpp, movement.cpp, network.cpp, npcs.cpp,
	pcmanage.cpp, skills.cpp, speech.cpp, targeting.cpp, uox3.cpp,
	wholist.cpp: 
	Updated CChar so that the functions Teleport(), Update(),
	ExposeToView() and HideFromView() no longer need the index into the
	chars[] array
	Updated weather to take CChar * and cSocket * instead of CHARACTER
	and UOXSOCKET
	General code clean ups

2001-07-22 19:41  darkangelab

	* cWeather.cpp, lineofsight.cpp, uox3.h: 
	Converted float to R32
	Added explicit cast to BuildTimeValue to remove warnings

2001-07-22 19:22  darkangelab

	* cChar.cpp: 
	Sped up FirstItemObj() and NextItemObj()

2001-07-22 19:20  darkangelab

	* SEFunctions.cpp, books.cpp, cChar.cpp, cClick.cpp, cItem.cpp,
	cWeather.cpp, cmdtable.cpp, combat.cpp, commands.cpp, effect.cpp,
	funcdecl.h, globals.cpp, gumps.cpp, items.cpp, magic.cpp,
	movement.cpp, msgboard.cpp, network.cpp, npcs.cpp, skills.cpp,
	speech.cpp, targeting.cpp, townregion.cpp, uox3.cpp, uox3.h: 
	Slight source tidy up / clean ups
	Removed some dead global variables
	Implemented and converted almost all uses of CLOCKS_PER_SEC to use
	the function BuildTimeValue
	Lowered dependence on script1 and script2 from a global perspective
	Fixed a potential bug in choice()
	Slightly sped up some town region loading code

2001-07-22 18:24  toinzane

	* SEFunctions.cpp, ai.cpp, boats.cpp, books.cpp, books.h,
	cBaseobject.cpp, cChar.cpp, cChar.h, cClick.cpp, cGuild.cpp,
	cItem.cpp, cMagic.h, calcfuncs.cpp, charhandle.cpp, classes.h,
	combat.cpp, combat.h, commands.cpp, dist.cpp, door.cpp, effect.cpp,
	funcdecl.h, gumps.cpp, handlers.h, house.cpp, itemhandler.cpp,
	items.cpp, magic.cpp, movement.cpp, necro.cpp, network.cpp,
	network.h, npcs.cpp, pcmanage.cpp, pointer.cpp, quantityfuncs.cpp,
	skills.cpp, skills.h, sound.cpp, speech.cpp, targeting.cpp,
	trade.cpp, uox3.cpp, vendor.cpp, weight.cpp, weight.h: 
	MANY Cleanups
	Converted many functions to being object-based
	Added in preliminary support for pet friends
	Rewrote much of combat.cpp
	Changed packitem() to getPack()
	Greatly reduced Currchar() usage ( in favor of CurrcharObj() )
	Some minor possible bugfixes

2001-07-22 17:21  darkangelab

	* worldconverter/: cChar.cpp, cChar.h, cItem.cpp, globals.cpp,
	uox3.cpp, uox3.h: 
	Added multiple item on layer support, to alleviate the issue with
	CONT and LAYER being around the wrong way
	Added some basic error logging
	Slight tidy ups

2001-07-22 14:30  seank

	* trigger.cpp, uox3.cpp: 
	more sscanf replacements (linux only)

2001-07-22 13:29  seank

	* ChangeLog, boats.cpp, cBaseobject.cpp, cChar.cpp, cMultiObj.cpp,
	cRaces.cpp, cWeather.cpp, cWeather.hpp, cmdtable.cpp, combat.cpp,
	dist.cpp, effect.cpp, globals.cpp, itemhandler.cpp: 
	removed a ton of warnings

2001-07-22 11:23  seank

	* cChar.cpp: 
	Removed the ifdefs, now sstream stuff is for windows too..
	Someone verify that this method works under windows

2001-07-22 10:43  seank

	* cChar.cpp: 
	More linux fixes (sstream instead of scanf)

2001-07-19 19:26  darkangelab

	* cClick.cpp, effect.cpp, funcdecl.h, necro.cpp, quantityfuncs.cpp,
	skills.cpp, uox3.cpp: 
	Added DecItemAmount() which replaces a lot of repeated item code
	and adds a slight optimization

2001-07-19 18:29  darkangelab

	* network.cpp: 
	Fixed a slight bug where xGM would never receive any packets

2001-07-19 18:21  darkangelab

	* combat.cpp: 
	Tweaked a SERIAL check to compare against INVALIDSERIAL, and not -1

2001-07-19 18:08  darkangelab

	* cChar.cpp, magic.cpp, movement.cpp, uox3.cpp: 
	Optimized Teleport() in CChar a lot, removes a lot of hash table
	lookups
	Generic code clean up / slight optimizations

2001-07-19 17:59  darkangelab

	* cChar.cpp, cChar.h, cScript.cpp, movement.cpp: 
	Added OutOfRange and InRange support for characters
	Added SendToSocket( cSocket *, bool, CChar * ) to CChar
	Fixed a nasty cScript bug that would prevent events from being
	flagged as available

2001-07-19 17:26  toinzane

	* cChar.cpp, cChar.h, cClick.cpp, cItem.cpp, cItem.h, classes.h,
	cmdtable.cpp, combat.cpp, commands.cpp, commands.h, funcdecl.h,
	items.cpp, network.cpp, newbie.cpp, npcs.cpp, pcmanage.cpp,
	pointer.cpp, speech.cpp, targeting.cpp, uox3.cpp: 
	Enhanced Pet Guarding (still needs work)
	Added in object support to many functions
	Many cleanups
	Documented commands.cpp

2001-07-18 22:37  darkangelab

	* enums.h, network.cpp, xgm.cpp: 
	Added xGM option to ClientTypes for cSocket
	Added simple class and implementation of xGM input/output packets 0
	On accept, cSocket is set to xGM for the xgm connected sockets
	
	TODO
	=====
	Real authentication on xGM

2001-07-18 21:39  darkangelab

	* cChar.cpp, globals.cpp, items.cpp, magic.cpp, necro.cpp,
	pcmanage.cpp, skills.cpp, uox3.cpp, uox3.h, xgm.cpp: 
	Slight code tidy ups / tweaks
	Changed hard coded 2 to a global var for GM command level
	Changed hard coded 1 to a global var for CNS command level
	Added 2 more empty packet handlers in WhichXGMPacket

2001-07-18 20:12  seank

	* cChar.cpp: 
	see the start of the strtok/sscanf replacement here (stringstream)

2001-07-18 19:00  seank

	* cChar.cpp: 
	temporary linux fix... strtok and sscanf misbehaving in BaseSkills
	loader

2001-07-18 15:27  seank

	* cServerData.cpp, cServerDefinitions.cpp, calcfuncs.cpp: 
	Fixed the linux directory functions

2001-07-18 14:15  toinzane

	* classes.h, items.cpp: 
	Cleaned up and documented items.cpp

2001-07-18 12:29  toinzane

	* calcfuncs.cpp, cmdtable.cpp, door.cpp, funcdecl.h,
	lineofsight.cpp, magic.cpp, magic.h, mapstuff.cpp, mapstuff.h,
	movement.cpp, network.cpp, npcs.cpp, regions.cpp, regions.h,
	skills.cpp, speech.cpp, targeting.cpp, uox3.cpp: 
	MSVC Warning level 4 fixes.

2001-07-18 11:06  toinzane

	* cClick.cpp: 
	Linux compile fix
	Added in a check I missed for pet guarding.

2001-07-18 10:52  toinzane

	* cClick.cpp, combat.cpp: 
	Pets will now guard your corpse if they were guarding you when you
	died.
	Fixed pet guarding in PlayerAttack().

2001-07-18 10:29  toinzane

	* calcfuncs.cpp, funcdecl.h, quantityfuncs.cpp, uox3.cpp: 
	More minor code cleanups.
	Added an object-based RefreshItem()

2001-07-18 09:56  toinzane

	* cClick.cpp, funcdecl.h, movement.cpp, movement.h,
	quantityfuncs.cpp: 
	Added in object-based getSubItemAmt(), DeleItemAmt(), and
	DeleSubItemAmt() functions.
	Cleaned up quantityfuncs.cpp and converted int's to SI32's (to
	avoid cross-platform container size issues).
	Minor code cleanups.
	Fixed some signed / unsigned mismatches.

2001-07-18 08:45  toinzane

	* cClick.cpp: 
	Fixed a minor issue with an isCorpse check.

2001-07-18 07:21  toinzane

	* cClick.cpp, funcdecl.h: 
	Added in color highlighting for corpses, corpses of murderers will
	be red, innocents blue, racial/guild enemies orange, ect.

2001-07-18 02:29  darkangelab

	* cSocket.cpp, cSocket.h, network.cpp, xgm.cpp: 
	Laying down basic framework for xGM support

2001-07-17 23:57  darkangelab

	* magic.cpp, movement.cpp: 
	Adjusted field spells so that caster only turns criminal if the
	people in the field are innocent

2001-07-17 23:30  darkangelab

	* cClick.cpp: 
	Updated corpse flagging code so that guild enemies/allies and
	racial enemies/allies will not flag criminal if looting

2001-07-17 22:21  toinzane

	* SEFunctions.cpp, funcdecl.h, items.cpp, quantityfuncs.cpp,
	skills.cpp, skills.h: 
	Renamed GetIngotAmt(), GetSubIngotAmt(), DeleIngot(), and
	DeleSubIngot(), to getItemAmt(), getSubItemAmt(), DeleIngotAmt(),
	and DeleSubIngotAmt() respectively, And moved them to
	quantityfuncs.cpp

2001-07-17 21:57  darkangelab

	* townregion.cpp, uox3.cpp: 
	Slight tweaks/tidy ups to cTownRegion::InitFromScript and
	loadregions()

2001-07-17 21:42  darkangelab

	* skills.cpp, townregion.h, uox3.cpp: 
	Changed regionNum in CTownRegion to a UI08
	Added periodic sound playback support in for making items
	Added checks to ensure that you really CAN make an item (and not
	skill busy)
	Slight optimizations to checkauto() and checkPC()

2001-07-17 20:37  darkangelab

	* cConsole.cpp, cSocket.cpp, commands.cpp, magic.cpp, speech.cpp,
	targeting.cpp: 
	Updated logging code so that all log files are written into the
	logs subdirectory

2001-07-17 20:19  darkangelab

	* packets.cpp, pcmanage.cpp: 
	startchar() now sends the correct hours/minutes/seconds
	CPTime now sets minutes/seconds properly

2001-07-17 20:09  darkangelab

	* network.cpp: 
	Removed DNS-list style wholist due to plans for similar system
	under xGM

2001-07-17 19:46  darkangelab

	* cClick.cpp: 
	GMs don't go criminal for looking at corpses

2001-07-17 18:51  darkangelab

	* skills.cpp, skills.h: 
	Removed redundant GetIngotAmt function
	Added GetIngotAmt function to deal with CChar *
	Added gold exploitation due to begging removal

2001-07-17 18:41  darkangelab

	* skills.cpp: 
	Added line of sight check and range check to forensics target

2001-07-17 17:47  toinzane

	* SEFunctions.cpp, boats.cpp, cClick.cpp, calcfuncs.cpp, classes.h,
	cmdtable.cpp, combat.cpp, door.cpp, effect.cpp, funcdecl.h,
	items.cpp, npcs.cpp, sound.cpp, trade.cpp, uox3.cpp: 
	Now only items inside multis will display [Locked Down] if movable
	is set to 3.
	Fixed some minor possible issues.
	Miscellaneous minor code cleanups.

2001-07-17 17:26  seank

	* cServerData.cpp, cSkillClass.h, cmdtable.cpp, enums.h, html.cpp,
	im.h, jail.h, npcs.cpp, packets.h, pointer.cpp, queue.cpp,
	scriptc.cpp, teffect.cpp, townregion.cpp, xgm.cpp: 
	linux compile fixes and some runtime issues fixed

2001-07-17 17:26  gimmles

	* network.cpp: 
	I fixed another visual error, for the console.
	so it prints the correct IP address

2001-07-17 09:37  toinzane

	* uox3.cpp: 
	Oops, programming whilst tired is a bad thing :P

2001-07-17 09:31  toinzane

	* books.cpp, cRaces.cpp, commands.cpp, door.cpp, funcdecl.h,
	magic.cpp, npcs.cpp, pcmanage.cpp, pointer.cpp, targeting.cpp,
	trade.cpp, uox3.cpp: 
	Fixed a int/bool mismatch with fielddir()
	Changed setserial() to a bool
	Misc minor code cleanups

2001-07-17 01:30  darkangelab

	* speech.cpp: 
	Changed a -1 to INVALIDSERIAL to fix signedness

2001-07-16 22:41  darkangelab

	* door.cpp: 
	Doors are no longer blocked by offline characters

2001-07-16 22:33  darkangelab

	* cRaces.h, cScript.h, cServerData.h, cSocket.h, cdice.h, fileio.h,
	handlers.h, hash.h, regions.h, scriptc.h, skills.h, speech.h,
	threadsafeobject.h, townregion.h, wholist.h: 
	Updated some destructors so that they were flagged virtual (and
	thus, if derived from, would destroy in the proper order)

2001-07-16 22:09  seank

	* cAccount.cpp: 
	sizeof converted to strlen

2001-07-16 22:08  darkangelab

	* uox3.cpp: 
	Using an explosion potion that damages an innocent turns the user
	criminal

2001-07-16 21:41  darkangelab

	* skills.cpp: 
	Inscribing will no longer gain you skill if you don't have enough
	reagants or mana

2001-07-16 21:30  darkangelab

	* cAccount.cpp, cClick.cpp, cSocket.cpp, cmdtable.cpp, html.cpp,
	mapstuff.cpp, network.cpp, regions.cpp, uox3.cpp: 
	Changed \\ to / to help with Linux compatability
	Updated cSocket constructors so that bytesReceived and bytesSent
	are init'd to 0
	Looting an innocent corpse that is not your own will result in
	criminality
	Seemingly fixed the xGM packet crash

2001-07-16 20:13  darkangelab

	* SEFunctions.cpp: 
	More debugging message updates for the SE functions

2001-07-16 19:45  darkangelab

	* SEFunctions.cpp: 
	Updated more SE functions to drop out debugging information
	Slight improvements to some existing debugging writes
	Slight code tidy ups

2001-07-16 18:47  darkangelab

	* network.cpp: 
	Tweaks and clean ups to the code
	Removed global use of conn for both CheckConn() and CheckXGMConn()

2001-07-16 18:25  darkangelab

	* cAccount.cpp, cAccount.h, worldmain.cpp, worldmain.h: 
	Code cleanup / tidy ups
	Removed redundant save routine in worldmain for accounts
	Updated accounts save routine to write out correctly (although
	still to accounts2.adm)

2001-07-16 18:04  darkangelab

	* worldconverter/: cChar.cpp, uox3.cpp: 
	Updates to support new jailing system

2001-07-13 18:52  darkangelab

	* targeting.cpp: 
	Slight tweaks to 'make, calling Teleport on body change not Update

2001-07-13 16:53  darkangelab

	* jail.cpp: 
	Minor bug fix so that the cell with minimum # of jailees is
	actually used

2001-07-13 15:45  gimmles

	* network.cpp: 
	changed the output format of the ignored packet of the GetMSG() ,
	GetLoginMSG(), and GetxGMMsg().
	Gimli

2001-07-13 15:23  seank

	* Makefile.am, Makefile.in, jail.cpp: 
	added jail to the makefile

2001-07-13 02:32  darkangelab

	* combat.cpp: 
	Fixed slight overflow bug (UI08 cannot be < 0)

2001-07-12 23:59  toinzane

	* boats.cpp, boats.h, combat.cpp, dist.cpp, funcdecl.h,
	movement.cpp, movement.h, uox3.cpp: 
	Minor code cleanups, cleaning up MSVC Level 4 Warnings

2001-07-12 23:02  darkangelab

	* UOX3_Official.dsp, cChar.cpp, cChar.h, classes.h, funcdecl.h,
	globals.cpp, jail.cpp, jail.h, magic.cpp, targeting.cpp,
	townregion.cpp, uox3.cpp, uox3.h, uoxstruct.h, worldmain.cpp: 
	Rewrote jail system, removing jail_st and writing a wrapper system
	Added jail.h and jail.cpp
	Removed OldXYZ from CChar
	Added jail saving
	
	TODO
	=====
	Add jail loading
	Add jail scriptable locations
	Write util to convert existing Reserved=0 to Reserved=-1 for
	existing chars (so they're not "stuck" in jail)

2001-07-12 20:25  toinzane

	* combat.cpp: 
	Duh, I really need some sleep :P

2001-07-12 20:21  toinzane

	* combat.cpp, combat.h, skills.cpp: 
	Minor code cleanups in skills.cpp and combat.cpp

2001-07-12 20:21  darkangelab

	* SEFunctions.cpp: 
	Updated SE Gump functions to solve some bugs and print out correct
	debugging information

2001-07-12 20:03  darkangelab

	* SEFunctions.cpp: 
	Updated some SE funcs to properly reflect their parameter
	requirements

2001-07-12 18:55  darkangelab

	* funcdecl.h, network.cpp, pcmanage.cpp, uox3.cpp: 
	Committed fix for character deletion packet issues (thanks to Gimli
	for diagnosing and suggesting fix)
	Added more tweak's to the UO3D mounts thanks to Weazel

2001-07-11 22:14  darkangelab

	* effect.cpp, skills.cpp: 
	Added skill use turning on/off when creating items (as a start for
	blocking multiple skill creation exploits)

2001-07-11 21:42  toinzane

	* combat.cpp, skills.cpp, targeting.cpp: 
	Cleaned up CalcDef() a bit
	Added weapon damage to CalcAtt()
	Fixed a minor bug with Meditation
	Minor cleanup in targeting.cpp

2001-07-11 21:14  darkangelab

	* cChar.cpp, uox3.cpp: 
	Updated MountCreature / IsValidMount to reflect UO3D creatures that
	are now available
	Note that the NPCs and mounted creatures don't match up quite right
	yet
	===============
	Courtesy of Weazel

2001-07-11 19:27  darkangelab

	* globals.cpp, typedefs.h, uox3.h: 
	Removed some superfluous #defines and variables

2001-07-11 19:10  darkangelab

	* effect.cpp: 
	Added delayed sound effect support (on a character)

2001-07-11 18:53  darkangelab

	* SEFunctions.cpp, effect.cpp, funcdecl.h, skills.cpp, skills.h,
	teffect.h: 
	Adjusted cSkills::MakeItem() to take a 4th parameter (item #)
	Completed delay support for success so that it uses scriptable
	delays (on per item basis)
	Deleted superfluous functions

2001-07-11 18:07  toinzane

	* targeting.cpp: 
	Minor bugfix: 'unhide will now strip PermHidden attribute from
	normal players (who were given it by 'hide)

2001-07-11 15:18  toinzane

	* pcmanage.cpp: 
	Fixed bugs causing players hidden wth 'hide to be unhidden at
	logon.

2001-07-11 13:32  toinzane

	* commands.cpp, commands.h, magic.cpp, npcs.cpp, skills.cpp,
	targeting.cpp, targeting.h: 
	Minor cleanups in commands.cpp, magic.cpp, npcs.cpp, skills.cpp,
	and targeting.cpp,
	Trimmed down excessive use of SERIAL container where it wasn't
	necesarry.

2001-07-11 11:44  toinzane

	* ai.cpp, cMagic.h, classes.h, magic.cpp, skills.h: 
	Cleaned up magic.cpp
	Minor cleanups in misc areas of the source.

2001-07-11 10:09  toinzane

	* boats.cpp, boats.h, cItem.cpp, calcfuncs.cpp, dist.cpp,
	effect.cpp, funcdecl.h, house.cpp, magic.cpp, necro.cpp,
	network.cpp, skills.cpp, sound.cpp, speech.cpp, targeting.cpp,
	trade.cpp, uox3.cpp: 
	Minor code cleanups all over the source.
	Moved a few functions out of uox3.cpp to more appropriate files.

2001-07-10 22:51  darkangelab

	* speech.cpp: 
	Converted speech language string to uppercase for comparison
	purposes (so kor and KOR would be the same)

2001-07-10 21:58  darkangelab

	* cChar.cpp, cClick.cpp, classes.h, effect.cpp, house.cpp,
	items.cpp, magic.cpp, skills.cpp, targeting.cpp, uox3.cpp,
	uoxstruct.h: 
	Updated createEntry to hold a member delay
	Changed createEntry.addItem to a string
	Added string based SpawnItemToPack and CreateScriptItem (in
	preperation for DFN system)
	Changed CreateScriptItem's final parameter to bool, and adjusted
	all calls to it
	Added constructor initialization of skillUsed[] for CChar
	Added some prelim support for avoiding alchemy grinding exploits
	Corrected singleclick to only show creator for items made with very
	high skill

2001-07-10 21:52  seank

	* magic.cpp: 
	pow call was ambiguous, typecast to int

2001-07-10 21:14  seank

	* SEFunctions.h, magic.cpp, skills.h, targeting.h: 
	temporary gcc 3.0 fixes (stupid gcc3 and it's typedef funcdecl
	problems)

2001-07-10 20:05  seank

	* lineofsight.cpp: 
	missed one, another sqrt improprietry

2001-07-10 20:03  seank

	* lineofsight.cpp: 
	sqrt doesn't take ints.. only floating points

2001-07-10 20:03  darkangelab

	* fileio.cpp, gumps.cpp, html.cpp, items.cpp, mapclasses.h,
	mapstuff.cpp, npcs.cpp, skills.cpp, ssection.cpp, ssection.h,
	uox3.h: 
	Tidied up ScriptSection, allowing for better definition support
	(still not active)
	Added crash avoidance to HTML server display
	Generic code tidy ups
	Repositioned create.scp menu buttons on gump properly
	Extended max skill range to maxrange * 1.5 for making items

2001-07-10 15:36  seank

	* ChangeLog, network.cpp: 
	FIONBIO is located in sys/ioctl.h, fixed

2001-07-09 22:28  darkangelab

	* network.cpp, uox3.cpp: 
	Slight tidy up
	Corpse generated is now put in a multi (if created inside one)
	Added nonblocking listening socket
	Tinkered with select and accept calls to work cleaner
	*known issue*
	login/disconnect before shard list, with proper username/pass,
	seems to stop it from going further

2001-07-09 21:07  darkangelab

	* uox3.cpp: 
	Updated monstergate() and advancementobjects(), just doing generic
	clean ups

2001-07-09 20:19  seank

	* ChangeLog, Makefile.am, Makefile.in: 
	Updated the makefile

2001-07-09 19:31  darkangelab

	* cClick.cpp, cItem.cpp, cItem.h, commands.cpp, house.cpp,
	items.cpp, magic.cpp, newbie.cpp, npcs.cpp, skills.cpp,
	targeting.cpp, uox3.cpp: 
	Added Set / is Newbie(), Decayable() and Dispellable() to CItem
	Adjusted all calls to GetPriv() that does bit comparisons to use
	the new functions

2001-07-09 19:13  darkangelab

	* uox3.cpp: 
	Moved the poison wear off code from checkPC and checkNPC to
	genericCheck, resulting in common (cleaner) behaviour of poison

2001-07-09 19:06  darkangelab

	* findfuncs.cpp: 
	Added findfuncs.cpp

2001-07-09 18:58  darkangelab

	* classes.h, combat.cpp, SEFunctions.cpp, UOX3_Official.dsp,
	cRaces.cpp, commands.cpp, effect.cpp, funcdecl.h, magic.cpp,
	network.cpp, npcs.cpp, pcmanage.cpp, quantityfuncs.cpp, skills.cpp,
	targeting.cpp, uox3.cpp, vendor.cpp: 
	Deleted redundant search functions from cCharStuff
	Moved FindItemOfType, FindItemOnLayer and FindItem, along with
	helper funcs, into findfuncs.cpp
	General code clean ups
	Better error checking on some search funcs

2001-07-09 18:29  darkangelab

	* SEFunctions.cpp, SEFunctions.h, cScript.cpp, cScript.h, uox3.cpp:
	
	Added onEnterRegion and onLeaveRegion events for characters
	Added GetClientVersion and GetClientType SE functions
	Added onEnterRegion and onLeaveRegion support to TriggerEvent
	Put in handles so that onEnterRegion and onLeaveRegion will fire

2001-07-09 18:06  toinzane

	* npcs.cpp: 
	Oopsie, fixed a couple minor errors :P

2001-07-09 18:02  toinzane

	* SEFunctions.cpp, classes.h, items.cpp, necro.cpp, npcs.cpp,
	targeting.cpp, uox3.cpp: 
	More cleanups in npcs.cpp
	Broke AddRespawnNPC() into two functions, AddNPC() is called with a
	socket, SpawnNPC() is called with an item, removed the need for
	calling it with a type
	Cleaned up items.cpp

2001-07-09 15:37  toinzane

	* classes.h, funcdecl.h, npcs.cpp, uox3.cpp: 
	Many cleanups and fixes done to npcs.cpp
	Renamed getstatskillvalue() to getStringValue()

2001-07-09 12:04  toinzane

	* calcfuncs.cpp, cmdtable.cpp, funcdecl.h, items.cpp, npcs.cpp,
	skills.cpp, speech.cpp, uox3.cpp, vendor.cpp: 
	Cleaned up and documented vendor.cpp
	Fixed a problem in npcs.cpp where vendor shop packs were mis-labled
	Cleaned up getname() and changed it to getTileName()

2001-07-08 22:11  seank

	* ChangeLog, cvs2cl.pl: 
	added changelog utility

2001-07-08 21:55  darkangelab

	* network.cpp: 
	Seemingly fixed the invalid IP connection display

2001-07-08 21:49  darkangelab

	* movement.cpp: 
	Added xyblock[] overflow checking (avoids crashing in really
	overloaded squares)

2001-07-08 21:45  darkangelab

	* mapclasses.h, mapstuff.cpp, mapstuff.h, movement.cpp, movement.h,
	packets.cpp, skills.cpp, uoxstruct.h: 
	Changed unitile_st to CTileUni and moved it to mapclasses.h
	Abstracted away flags for unitile_st so it's member function based
	(and more meaningful)
	Slight tweaks and tidy ups

2001-07-08 21:34  seank

	* ChangeLog: 
	cvs2pl changelog test

2001-07-08 20:57  seank

	* Makefile.am, Makefile.in, cServerData.h, skills.cpp: 
	gcc 2.95 fixes

2001-07-08 20:14  darkangelab

	* UOX3_Official.dsp, cClick.cpp, items.cpp, pcmanage.cpp,
	skills.cpp, targeting.cpp, uox3.cpp: 
	Added pcmanage.cpp, to contain character management functions
	Removed the setting of HiDamage and LoDamage to 5 of a lot of
	items, preventing them being engraved
	General code tidy ups

2001-07-08 19:11  toinzane

	* cClick.cpp, uox3.cpp: 
	Fixed a possible UOE/UOP exploit that would allow users to steal
	items from outside houses by tricking the client into thinking the
	house wasn't there.
	Added a temporary hack to make offline players unkillable until
	Deathstuff() can be fixed up.

2001-07-08 18:57  darkangelab

	* SEFunctions.cpp, SEFunctions.h, cItem.cpp, cItem.h, cRaces.cpp,
	cRaces.h, cScript.cpp, network.cpp, packets.cpp, packets.h,
	speech.cpp, speech.h, targeting.cpp, typedefs.h, uox3.cpp: 
	Changed COLOR to COLOUR
	Changed COLOUR to a UI16 from a UI32
	Used COLOUR more usefully
	Added GetTileIDAtMapCoord SE function
	Changed amount to an SI32 from UI32
	Extending stacking to 65535 from 60000
	Uncommented code that will fix player vendor purchasing exploit

2001-07-08 13:29  toinzane

	* movement.cpp: 
	Added more error checking to trim down on Walking console spam.

2001-07-08 11:13  toinzane

	* packets.cpp: 
	Skill Window Stuff, accidentally left debug stuff in with my last
	commit. :P

2001-07-08 11:08  toinzane

	* packets.cpp: 
	Fixed the SkillWindow bug

2001-07-07 23:24  toinzane

	* PageVector.h, SEFunctions.cpp, boats.cpp, books.cpp, books.h,
	cChar.cpp, cGuild.cpp, cGuild.h, cMagic.h, cMultiObj.cpp,
	cMultiObj.h, cRaces.cpp, cRaces.h, cServerData.cpp, cServerData.h,
	cSocket.cpp, cSocket.h, cWeather.cpp, calcfuncs.cpp,
	charhandle.cpp, cmdtable.cpp, combat.cpp, combat.h, effect.cpp,
	funcdecl.h, globals.cpp, gumps.cpp, handlers.h, html.cpp, im.cpp,
	im.h, lineofsight.cpp, magic.cpp, mapclasses.h, movement.cpp,
	movement.h, network.cpp, network.h, npcs.cpp, packets.cpp,
	queue.cpp, skills.cpp, speech.cpp, speech.h, targeting.cpp,
	townregion.cpp, townregion.h, typedefs.h, uox3.cpp, uox3.h,
	uoxstruct.h, weight.cpp, weight.h: 
	Minor code cleanups
	Many MSVC Warning Level 4 Fixes
	Several unrefrenced variables removed.
	Converted all floats to R32, and all doubles to R64
	Overhauled and cleaned up im.cpp and im.h

2001-07-07 11:25  toinzane

	* combat.cpp, combat.h, movement.cpp, skills.cpp, skills.h,
	uox3.cpp: 
	Minor changes and cleanups in combat.cpp
	Moved GetShield() and GetCombatSkill() from skills.cpp to
	combat.cpp
	Minor code cleanups in uox3.cpp

2001-07-07 09:24  toinzane

	* uox3.cpp: 
	More fixes to dropping items on players.
	Improved autostacking code.
	Fixed some minor weight issues.

2001-07-06 23:11  toinzane

	* cItem.cpp, cItem.h, skills.cpp, uox3.cpp: 
	Fixed bug causing items to vanish when dragged onto another player
	or yourself (note you need to refresh your pack after dragging an
	item onto yourself)
	Fixed a minor Linux compile issue (thanks seank)
	Fixed the bane of UOX.. The item-dupe bug (Item would automatically
	dupe itself when moved), this was caused by items being set to an
	amount larger than their container would hold, when that happened,
	it would wrap the amount and continue to spawn the item when moved
	until it reached that amount, SetAmount() now has a limit of 60k,
	note UOX will fix any invalidated items at worldsave

2001-07-06 19:14  toinzane

	* skills.cpp, uox3.cpp: 
	More minor updates to weight checks on stealing
	Fixed bug allowing players to drop items into other characters
	packs, now only GMs and Counsellors may put an item in another
	characters pack.

2001-07-06 17:32  toinzane

	* skills.cpp: 
	Stealing is now based on the thiefs armor as well as skill, higher
	the AR, more skill it takes to steal (as with weight), at >40 AR,
	you will not be able to steal at all.

2001-07-06 15:57  toinzane

	* skills.cpp, skills.h: 
	More minor fixes in skills.cpp
	Fixed up RandomSteal() and StealingTarget()
	Added a new function: calcStealDiff(), will determine based on an
	items type and weight, and players skill if he is able to steal it,
	will then returns the minimum skill needed to steal that item based
	on its weight.

2001-07-06 13:32  toinzane

	* SEFunctions.cpp, classes.h, combat.cpp, combat.h, items.cpp,
	newbie.cpp, skills.cpp, uox3.cpp: 
	Minor code cleanups
	Rewrote StealingTarget() (Still needs some work, but looks/works
	much better now)
	Fixed a bug with CalcDef() that could cause infinite loops as well
	as causing damage to armor when it shouldn't (Should GREATLY reduce
	armor damage rate)
	Fixed some issues that could potentially lead to serious bugs

2001-07-06 09:08  toinzane

	* cClick.cpp, cRaces.cpp: 
	Cleaned up cClick.cpp and documented its functions
	Incorporated some changes from Abaddon to slim down singleclick()
	and fix some problems.
	Fixed some problems for GM's seeing items as # instead of the
	proper name.
	Fixed a small issue in cRaces.cpp regarding skill counting.

2001-07-06 01:42  darkangelab

	* cSocket.cpp, cSocket.h, enums.h, network.cpp, packets.cpp,
	packets.h: 
	Added ClientTypes enumeration (regular, t2a, uo3d, unknown)
	Added ClientTypes support to socket (defaulting to regular)
	Added ClientVersion tracking (stores as 32 bit integer)
	Added CPIClientVersion packet that copes with the client version
	packet (assuming a format of x.x.xa)

2001-07-06 00:29  darkangelab

	* cAccount.cpp, globals.cpp, uox3.cpp, uox3.h, worldmain.cpp: 
	Reduced the use of scpfile back to a small number of functions
	General small tidyups
	Eliminated global wscfile variable (superfluous)
	Updated build number

2001-07-05 23:09  darkangelab

	* cChar.cpp, npcs.cpp, scriptc.cpp, skills.cpp, uox3.cpp: 
	Generic tidy ups
	Fixed a few updateSkillLevel loops iterating too far
	Added an updateSkillLevel loop to PostLoadProcessing of CChar,
	fixing the 0 effective skill bug (but NOT fixing skill window)

2001-07-05 21:35  darkangelab

	* enums.h, speech.cpp, speech.h: 
	Added ENA language code (English, Australian)
	Unicode speech now sets the language correctly (ensure you have a
	dictionary of the right language!)

2001-07-05 20:46  toinzane

	* SEFunctions.cpp, ai.cpp, cClick.cpp, calcfuncs.cpp, combat.cpp,
	funcdecl.h, magic.cpp, npcs.cpp, skills.cpp, targeting.cpp,
	uox3.cpp: 
	Code cleanups in npcs.cpp
	Moved some more calc functions from uox3.cpp to calcfuncs.cpp
	Documented all functions in calcfuncs.cpp
	Changed backpack2() to openCorpse()
	Cleaned up backpack() and openCorpse()

2001-07-05 20:36  darkangelab

	* Dictionary.cpp, ssection.cpp: 
	Minor dictionary tweaks
	Added function headers for ScriptSection
	Tidied up ScriptSection constructors

2001-07-05 19:54  darkangelab

	* worldconverter/uox3.cpp: 
	Fixed old world save to increment item/char counter
	Minor cleanups

2001-07-05 19:15  darkangelab

	* worldconverter/: cBaseobject.cpp, cChar.cpp, cItem.cpp,
	globals.cpp, regions.cpp, uox3.cpp, uox3.h: 
	Remvoed garbage collection / item testing
	Updated SetCont to deal with nonexistent character/item containers
	Wrote a pretend save for old style multis -> new
	
	Test worldfile of 963 items / 3 characters works
	Note that the world size WILL increase, as old worldfiles write
	minimalist information, new world files write everything

2001-07-05 18:17  seank

	* configure, configure.in: 
	linux debugging turned off for speed

2001-07-05 17:56  darkangelab

	* cGuild.cpp, effect.cpp, funcdecl.h, gumps.cpp, movement.cpp,
	packets.cpp, packets.h, skills.cpp, uox3.cpp: 
	Other option, heaven forbid, is use ISO scoping, and use more
	variable names (can eleminate need for count outside loop)
	Updated gump code to deal better with SERIAL, rather than multibyte
	parts
	Updated gumpentry() to use dictionary entries
	Corrected more sysmessage() calls to use dictionary stuff
	Used const char *on gump text entry packet, rather than char *

2001-07-05 17:20  seank

	* uox3.cpp: 
	linux fixes.  Ok people, you have to stop using iso-incompatible
	scoping.  for (int i; .. ) { }	i is only scoped for inside the for
	loop,
	not outside it.

2001-07-05 16:47  toinzane

	* SEFunctions.cpp, boats.cpp, cClick.cpp, calcfuncs.cpp, classes.h,
	combat.cpp, effect.cpp, funcdecl.h, gumps.cpp, house.cpp,
	items.cpp, movement.cpp, necro.cpp, newbie.cpp, npcs.cpp,
	skills.cpp, targeting.cpp, uox3.cpp: 
	Fully documented uox3.cpp functions
	Moved calcRegionFromXY() from uox3.cpp to calcfuncs.cpp
	Moved npcsimpleattacktarget(), npcattacktarget(),
	npcToggleCombat(), npcToggleCombat(), npcact(), and npcaction()
	from uox3.cpp to npcs.cpp
	Renamed mounthorse() to MountCreature() and unmounthorse() to
	DismountCreature()
	Misc minor code cleanups

2001-07-05 08:53  toinzane

	* funcdecl.h, mapstuff.cpp, skills.cpp, uox3.cpp: 
	Some minor code cleanups.
	Beginning of function documentation in uox3.cpp

2001-07-05 03:09  darkangelab

	* SEFunctions.cpp, boats.cpp, books.cpp, cChar.cpp, cClick.cpp,
	cGuild.cpp, cRaces.cpp, cScript.cpp, cWeather.cpp, calcfuncs.cpp,
	cmdtable.cpp, cmdtable.h, combat.cpp, commands.cpp, dist.cpp,
	effect.cpp, funcdecl.h, gumps.cpp, house.cpp, html.cpp, items.cpp,
	lineofsight.cpp, movement.cpp, msgboard.cpp, npcs.cpp, magic.cpp,
	skills.cpp, sound.cpp, speech.cpp, targeting.cpp, targeting.h,
	townregion.cpp, trade.cpp, uox3.cpp, vendor.cpp, weight.cpp,
	wholist.cpp: 
	Encapsulated Network->GetSockPtr() in calcSocketObjFromSock
	Encapsulated Network->FindNetworkPtr() in calcSocketFromSockObj()
	Changed many sysmessages() to be more dictionary friendly
	Wrote 2 more target() functions that are dictionary friendly, and
	converted all target() calls to these 2
	Small miscellaneous tidy ups

2001-07-05 00:56  darkangelab

	* msgboard.cpp, necro.cpp, network.cpp, skills.cpp: 
	Slight fix for magic
	Changed lots of sysmessage() to dictionary friendly ones

2001-07-04 23:16  seank

	* threadsafeobject.cpp: 
	Windows compile fix

2001-07-04 23:13  seank

	* uox3.cpp: 
	Windows compile fix

2001-07-04 23:01  seank

	* Makefile.in: 
	Linux compile fixes

2001-07-04 22:56  seank

	* AUTHORS, COPYING, ChangeLog, INSTALL, NEWS, PageVector.h, README,
	SEFunctions.h, boats.cpp, books.cpp, cAccount.cpp, cBaseObject.h,
	cChar.h, cClick.cpp, cConsole.cpp, cConsole.h, cGuild.cpp,
	cGuild.h, cItem.h, cMagic.h, cMultiObj.h, cScript.h, cServerData.h,
	cServerDefinitions.h, cSocket.cpp, cSocket.h, cThreadQueue.cpp,
	cThreadQueue.h, calcfuncs.cpp, cdice.h, classes.h, combat.h,
	commands.h, configure, configure.in, enums.h, fileio.cpp,
	funcdecl.h, gump.h, handlers.h, hash.h, install-sh, magic.cpp,
	magic.h, mapclasses.h, mapstuff.cpp, mapstuff.h, missing,
	mkinstalldirs, movement.h, network.cpp, network.h, packets.h,
	regions.h, skills.h, speech.h, ssection.h, targeting.cpp,
	targeting.h, teffect.h, threadsafeobject.cpp, threadsafeobject.h,
	townregion.h, trigger.h, typedefs.h, uox3.cpp, uox3.h, uoxlinux.h,
	weight.h, wholist.h, worldmain.cpp, Makefile.am: 
	Linux compile fixes

2001-07-04 21:37  darkangelab

	* SEFunctions.cpp, cMagic.h, magic.cpp, skills.cpp, targeting.cpp,
	uoxstruct.h: 
	Fixed magery casting bug which had reagent errors
	Removed extraneous DeleReagents function from magic
	Fixed a potential spell blocking bug
	Added a default constructor to reag_st to initialize all values

2001-07-04 21:23  toinzane

	* cServerData.cpp, cServerData.h, skills.cpp: 
	Made engrave toggleable with ENGRAVEENABLED in server.scp

2001-07-04 20:35  darkangelab

	* cRaces.cpp, cWeather.cpp, house.cpp, packets.cpp: 
	Fixed a crash issue doing an 'add which involved invalid skill
	values calling a race function
	Fixed multiplacement view packet so houses/boats ghost properly
	More code tidy ups
	Updated weather periodic update to take into account light changes
	on a minutely basis

2001-07-04 19:59  toinzane

	* weight.cpp: 
	More error-checking added to weight, now will not fall below 0 or
	above 32,000.
	Minor cleanups in weight.cpp, along with better function
	documentation.

2001-07-04 19:34  darkangelab

	* fileio.cpp, fileio.h, magic.cpp, movement.cpp, uox3.cpp: 
	Fixed a nonupdating stamina issue with overloaded walking
	More sysmessage() changes
	Changed ioBuff to UI08 * from char *
	Fixed crash bug when entering an area with nonexistent midi

2001-07-04 18:21  darkangelab

	* cItem.cpp, cMagic.h, classes.h, effect.cpp, fileio.cpp,
	funcdecl.h, gumps.cpp, house.cpp, items.cpp, lineofsight.cpp,
	magic.cpp, npcs.cpp, regions.cpp, sound.cpp, targeting.cpp,
	uox3.cpp: 
	Much greater usage of dictionary safe sysmessage
	Removed InitChar function, as it was already empty
	Tidied up magic.cpp
	Reduced parameter count for cMagic::SummonMonster
	Fixed PoisonDamage bug

2001-07-04 17:02  darkangelab

	* door.cpp, effect.cpp, skills.cpp: 
	Fixed a tempeffect2 bug which didn't store source correctly
	Fixed dooruse to use either active char or invalid char, rather
	than character 0
	Fixed checktempeffects to calculate proper character for door
	closing
	Fixed door not closing bug

2001-07-04 16:45  darkangelab

	* cChar.cpp, cChar.h, skills.cpp, speech.cpp: 
	Removal of the Get/Set BankBox functions in CChar
	Removed all references to Get/Set BankBox functions, fixing
	non-reopening bank box
	Tidied up some of the CChar member code

2001-07-04 16:32  uid43025

	* network.cpp: 
	More meaningful message displayed when a client disconnects

2001-07-04 16:31  uid43025

	* mapstuff.cpp: 
	Fixed a minor invalid return

2001-07-04 08:33  uid55407

	* dist.cpp, funcdecl.h, gumps.cpp, house.cpp, html.cpp, im.cpp,
	mapstuff.cpp, mapstuff.h, msgboard.cpp, msgboard.h, necro.cpp,
	scriptc.cpp: 
	Few minor code cleanups throughout the source with a couple
	possible bugfixes

2001-07-04 00:11  uid55407

	* calcfuncs.cpp, funcdecl.h, uox3.cpp: 
	Minor cleanups in uox3.cpp
	Moved calcLastContainerFromSer to calcfuncs.cpp
	Testing Commit to CVS ability :P

2001-07-03 21:52  uid43025

	* cmdtable.cpp, commands.cpp, items.cpp, mapstuff.cpp, scriptc.cpp,
	targeting.cpp, uox3.cpp: 
	Zane
	====
	Soundfx properly played for picking up items from ground
	'set kills added, 'setmurder removed (code commented)
	ItemSpawn() and ItemSpawnBackpack2() automatically add the items
	weight to the calling character (if any)
	Minor cleanups in targeting.cpp
	
	Abaddon
	=======
	Started work on definition section header support

2001-07-03 21:16  uid43025

	* SEFunctions.cpp, cClick.cpp, cSocket.cpp: 
	Fixed an SE InRange issue where items were in a pack
	Fixed a doubleclick issue that would put an item out of range (if
	not on ground)
	Updated second cSocket constructor to have default language

2001-07-03 20:36  darkangelab

	* combat.cpp, commands.cpp, door.cpp, effect.cpp: 
	Updated sysmessage calls to call the dictionary friendly sysmessage
	One or two minor code cleanups

2001-07-03 19:26  darkangelab

	* boats.cpp, cChar.cpp, cClick.cpp: 
	Updated boats.cpp, cChar.cpp and cClick.cpp to replace sysmessage
	calls wtih dictionary friendly sysmessage calls

2001-07-03 18:59  darkangelab

	* cChar.cpp, door.cpp, funcdecl.h, lineofsight.cpp, movement.cpp,
	movement.h, sound.cpp, targeting.cpp, trade.cpp, uox3.cpp,
	vendor.cpp: 
	GM's don't lose stamina when running
	Added commented line of sight proposed algorithm
	Added few more func decl headers
	
	(on behalf of Zane)
	Cleaned up movement.cpp functions
	Cleaned up uox3.cpp along with fixing several issues with weight
	fixed soundeffects() bug causing sound not to always play to
	calling socket

2001-07-03 17:04  darkangelab

	* calcfuncs.cpp: 
	Late addition of calcfuncs.cpp

2001-07-03 03:31  darkangelab

	* SEFunctions.cpp, UOX3_Official.dsp, ai.cpp, boats.cpp,
	cClick.cpp, cGuild.cpp, cRaces.cpp, cWeather.cpp, cmdtable.cpp,
	combat.cpp, effect.cpp, enums.h, funcdecl.h, globals.cpp,
	magic.cpp, msgboard.cpp, necro.cpp, network.cpp, network.h,
	packets.cpp, packets.h, regions.h, skills.cpp, speech.cpp,
	targeting.cpp, uox3.cpp, uox3.h, vendor.cpp, wholist.cpp: 
	Addition of the LoginDenyReason enumeration
	Added CPLoginDeny packet, allowing removal of some global arrays
	for packets
	Deprecation of cNetworkStuff::CharList and cNetworkStuff::Relay by
	implementing the CPISecondLogin and CPIServerSelect packets
	Declaration of dictionary based sysmessage
	Conversion of cmdtable.cpp, cRaces.cpp, wholist.cpp and
	cWeather.cpp to using new dictionary based sysmessage
	Changed all references to antispam to use booleans rather than char
	Adjusted speech functions to use a single UI16 for colour rather
	than 2 UI08s
	Deprecated 2 itemmessage() functions and converted other serial
	based references to char/item references

2001-07-03 03:25  darkangelab

	* door.cpp, lineofsight.cpp, quantityfuncs.cpp: 
	Breaking out some functions from uox3.cpp and moving them into
	their own file

2001-07-03 00:18  darkangelab

	* combat.cpp, combat.h, funcdecl.h, magic.cpp, targeting.cpp,
	uox3.cpp: 
	Addition of a cBaseObject based LOS call, turning a number of calls
	into that
	Broke out a few more functions in combat.cpp
	General code tidy up in combat.cpp

2001-07-02 20:24  darkangelab

	* UOX3_Official.dsp, cServerData.cpp, cServerDefinitions.cpp,
	magic.cpp, uox3.cpp: 
	Fixed release crash bug when loading spells
	Adjusted Release part of the project to have the proper defines
	Updated multiple SCP file scanning to work better with directory
	navigation
	General code tidy ups

2001-07-01 22:42  darkangelab

	* uox3.cpp: 
	Cannot damage invulnerable players with explosion potions
	Tidied up spawnregion code and added CALL support, fixing a slight
	map region bug

2001-07-01 22:34  darkangelab

	* UOX3_Official.dsp: 
	Adjustments to the link part of the profiles to remove a bad
	reference to JavaScript/

2001-07-01 22:33  darkangelab

	* cClick.cpp, skills.cpp, targeting.cpp, uoxstruct.h: 
	Tidy up of the make_st to work more cleanly with structure

2001-07-01 21:55  darkangelab

	* worldconverter/: UOX3WorldConverter.dsp, UOX3WorldConverter.dsw,
	cBaseObject.h, cBaseobject.cpp, cChar.cpp, cChar.h, cItem.cpp,
	cItem.h, cMultiObj.cpp, cMultiObj.h, charhandle.cpp, classes.h,
	enums.h, funcdecl.h, globals.cpp, handlers.h, hash.cpp, hash.h,
	itemhandler.cpp, power.h, regions.cpp, regions.h, resource.h,
	typedefs.h, uox3.cpp, uox3.h, uox3.ico, uox3.rc, uoxstruct.h: 
	Creation of worldconverter project

2001-07-01 21:52  darkangelab

	* uoxlist.h: 
	Removal of excess files

2001-07-01 21:44  darkangelab

	* worldconverter/readme.txt: 
	Creation of worldconverter project

2001-07-01 21:26  darkangelab

	* UOX3_Official.dsp, UOX3_Official.dsw, uox3.cpp, uox3.h, uox3.ico,
	uox3.rc, uoxlist.h, uoxstruct.h, vendor.cpp, weight.cpp, weight.h,
	wholist.cpp, wholist.h, worldmain.cpp, worldmain.h, xgm.cpp, xgm.h,
	readme.txt: 
	Initial commit of 0.95 source

2001-07-01 21:23  darkangelab

	* Dictionary.cpp, Dictionary.h, cSkillClass.h, cSocket.cpp,
	cSocket.h, cThreadQueue.cpp, cThreadQueue.h, cWeather.cpp,
	cWeather.hpp, debug.cpp, debug.h, dist.cpp, effect.cpp, enums.h,
	fileio.cpp, fileio.h, funcdecl.h, globals.cpp, gump.h, gumps.cpp,
	handlers.h, hash.cpp, hash.h, house.cpp, html.cpp, im.cpp, im.h,
	itemhandler.cpp, PageVector.h, items.cpp, magic.cpp, magic.h,
	mapclasses.h, mapstuff.cpp, mapstuff.h, movement.cpp, movement.h,
	msgboard.cpp, msgboard.h, necro.cpp, network.cpp, network.h,
	newbie.cpp, npcs.cpp, packets.cpp, packets.h, pointer.cpp, power.h,
	queue.cpp, SEFunctions.cpp, SEFunctions.h, regions.cpp, regions.h,
	resource.h, scriptc.cpp, scriptc.h, skills.cpp, skills.h,
	sound.cpp, speech.cpp, speech.h, ssection.cpp, ssection.h,
	targeting.cpp, targeting.h, teffect.cpp, teffect.h,
	threadsafeobject.cpp, threadsafeobject.h, townregion.cpp,
	townregion.h, trade.cpp, trigger.cpp, trigger.h, typedefs.h: 
	Initial commit of 0.95 source

2001-07-01 21:19  darkangelab

	* archive.cpp, boats.cpp, boats.h, books.cpp, books.h,
	cAccount.cpp, cAccount.h, cBaseObject.h, cBaseobject.cpp,
	cChar.cpp, cChar.h, cClick.cpp, cConsole.cpp, cConsole.h,
	cDice.cpp, cGuild.cpp, cGuild.h, cdice.h, charhandle.cpp,
	cItem.cpp, cItem.h, cMagic.h, cMultiObj.cpp, cMultiObj.h,
	classes.h, cmdtable.cpp, cmdtable.h, combat.cpp, cRaces.cpp,
	cRaces.h, cScript.cpp, cScript.h, cServerData.cpp, cServerData.h,
	cServerDefinitions.cpp, cServerDefinitions.h, combat.h,
	commands.cpp, commands.h: 
	Initial commit of 0.95 source

2001-07-01 21:15  darkangelab

	* ai.cpp: 
	Initial commit of 0.95 source

2001-06-06 08:54  yeshe

	* readme.txt: 
	creation

